2009-10-01  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/chart.el (chart-zap-chars, chart-bar-quickie)
	(chart-file-count):
	* emacs-lisp/eieio-comp.el (byte-compile-defmethod-param-convert):
	* emacs-lisp/eieio-datadebug.el (data-debug-insert-object-button):
	* emacs-lisp/eieio-opt.el (eieio-describe-class):
	* emacs-lisp/eieio-speedbar.el (eieio-speedbar-create):
	* emacs-lisp/eieio.el (defclass, eieio-defclass-autoload)
	(eieio-copy-parents-into-subclass, make-instance, class-children)
	(eieio-generic-form):
	* cedet/cedet-files.el (cedet-directory-name-to-file-name):
	* cedet/cedet-idutils.el (cedet-idutils-search)
	(cedet-idutils-expand-filename, cedet-idutils-support-for-directory)
	(cedet-idutils-version-check):
	* cedet/cedet.el (cedet-version):
	* cedet/data-debug.el (data-debug-insert-overlay-button)
	(data-debug-insert-overlay-list-button)
	(data-debug-insert-buffer-button)
	(data-debug-insert-buffer-list-button)
	(data-debug-insert-process-button, data-debug-insert-ring-button)
	(data-debug-insert-widget, data-debug-insert-stuff-list-button)
	(data-debug-insert-stuff-vector-button)
	(data-debug-insert-symbol-button, data-debug-insert-string)
	(data-debug-insert-number, data-debug-insert-lambda-expression)
	(data-debug-insert-nil, data-debug-insert-simple-thing)
	(data-debug-insert-custom, data-debug-edebug-expr):
	* cedet/ede.el (ede-auto-add-method, ede-project-class-files)
	(global-ede-mode-map, ede-new, ede-debug-target)
	(ede-customize-current-target, ede-buffers, ede-map-buffers, ede-set):
	* cedet/semantic.el (semantic-minimum-working-buffer-size)
	(semantic-fetch-tags, semantic-submode-list)
	(semantic-default-submodes):
	Doc/message fixes.

	* vc-cvs.el (vc-cvs-parse-entry): Be more careful with the
	match-data.  (Bug#4555).

	* cedet/semantic/bovine/gcc.el
	(semantic-c-reset-preprocessor-symbol-map): Fix declaration.
	(semantic-gcc-get-include-paths, semantic-gcc-setup-data): Doc fixes.

	* emacs-lisp/check-declare.el (check-declare-scan): Read the declaration
	rather than parsing it as a regexp.  This relaxes the layout
	requirements and makes errors easier to detect.
	(check-declare-verify): Check file is regular.
	(check-declare-directory): Doc fix.
	* subr.el (declare-function): Doc fix.

	* ibuffer.el (ibuffer-format-qualifier):
	* isearch.el (hi-lock-regexp-okay):
	* calc/calc.el (math-zerop):
	* mail/uce.el (rmail-msgbeg, rmail-msgend):
	* term/w32-win.el (setup-default-fontset, set-fontset-font):
	Remove unused declarations.

2009-10-01  Juanma Barranquero  <lekktu@gmail.com>

	* cedet/semantic/wisent/javat-wy.el
	(wisent-java-tags-wy--keyword-table): Use \000 instead of literal ^@.

2009-09-30  Juanma Barranquero  <lekktu@gmail.com>

	* cedet/srecode/expandproto.el: Fix provide statement.

2009-09-30  Eric Ludlam  <zappo@gnu.org>

	* emacs-lisp/eieio.el (boolean-p): Deleted.

2009-09-30  Sascha Wilde  <wilde@sha-bang.de>

	* cedet/ede/srecode.el: Fix provide statement.

2009-09-30  Glenn Morris  <rgm@gnu.org>

	* cedet/ede/proj.el (ede-proj-target-makefile-miscelaneous):
	* cedet/ede/proj-aux.el (ede-aux-source):
	* cedet/ede/proj-misc.el (ede-proj-target-makefile-miscelaneous)
	(ede-misc-source):
	* cedet/semantic/mru-bookmark.el (semantic-mrub-completing-read)
	(semantic-mrub-switch-tags): Fix doc typos.

	* cedet/semantic/db-global.el (data-debug-new-buffer)
	(data-debug-insert-thing): Remove unneeded declarations (one broken).
	(semanticdb-enable-gnu-global-databases): Fix prompt typo.

	* cedet/semantic/analyze/fcn.el (semantic-scope-find): Fix declaration.

	* cedet/semantic/bovine/gcc.el (semantic-gcc-setup): Replace runtime use
	of CL function `remove-if-not'.

	* emacs-lisp/authors.el (authors-ignored-files): Add "js2-mode.el".

	* emacs-lisp/elint.el (elint-init-form): Report declarations where the
	filename is not a string.

2009-09-29  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (safe-local-eval-forms): Fix typo.

2009-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-dir-buffers): New var.
	(vc-state-refresh): New function.
	(vc-state): Use it.
	(vc-after-save): Always ask the backend to recompute the new state.
	Always call vc-dir if necessary, using vc-dir-buffers.
	* vc-dir.el (vc-dir-prepare-status-buffer, vc-dir-resynch-file):
	Use vc-dir-buffers.
	(vc-dir-mode): Use vc-dir-buffers rather than after-save-hook.
	(vc-dir-prepare-status-buffer, vc-dir-update)
	(vc-dir-resync-directory-files, vc-dir-resynch-file, vc-dir-mode):
	Don't call expand-file-name on default-directory.

2009-09-29  Juanma Barranquero  <lekktu@gmail.com>

	* speedbar.el (speedbar-item-delete):
	* calc/calc-prog.el (calc-kbd-if):
	* language/hanja-util.el (hanja-init-load): Fix typos in messages.

	* epa.el (epa-key-list-mode-map):
	* hi-lock.el (hi-lock-menu): Fix typos in menus.

	* progmodes/hideshow.el (hs-allow-nesting): Reflow docstring.
	(hs-show-hook): Fix typo in docstring.

2009-09-29  Glenn Morris  <rgm@gnu.org>

	* cedet/semantic/symref/idutils.el:
	* cedet/semantic/symref/list.el: Relicense under GPLv3+.

	* cedet/ede/srecode.el (srecode-resolve-arguments): Fix declaration.

	* cedet/semantic/complete.el (semantic-displayor-focus-abstract-child-p):
	* cedet/semantic/tag-file.el (semanticdb-table-child-p):
	* cedet/srecode/compile.el (srecode-template-inserter-newline-child-p):
	Mark declarations not understood by check-declare.

	* emacs-lisp/check-declare.el (check-declare-locate): Remove pointless
	file-name-nondirectory call preventing location of cedet files.
	(check-declare-verify): Use literal search rather than re-search.
	Add basic defmethod and defclass, and define-overloadable-function.

	* net/tramp-smb.el (tramp-smb-handle-directory-files-and-attributes):
	Use tramp-compat-file-attributes rather than nonexistent
	tramp-compat-handle-file-attributes.

	* Makefile.in (lisptagsfiles4): New.
	(AUTOGENEL): Add cedet loaddefs files.
	(TAGS, TAGS-LISP): Use $lisptagsfiles4.
	(update-elclist, compile-always, backup-compiled-files)
	(bootstrap-clean): Add yet another directory level.
	(update-elclist): Use LC_COLLATE rather than COLLATE.
	(ELCFILES): Update, via `make update-elclist'.

2009-09-29  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (WINS_CEDET, WINS_BASIC, WINS_SUBDIR): New macros.
	(WINS_ALMOST): Set from WINS_BASIC and WINS_CEDET.
	(update-subdirs-CMD): Use WINS_SUBDIR, not WINS_ALMOST.

2009-09-28  Andreas Schwab  <schwab@linux-m68k.org>

	* Makefile.in (lisptagsfiles3): Define.
	(TAGS, TAGS-LISP): Use it.
	(update-elclist): Add third directory level to look for elc files.
	(compile-always): Likewise.
	(backup-compiled-files): Likewise.
	(bootstrap-clean): Likewise.
	(ELCFILES): Update.

2009-09-28  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in (ELCFILES): Add CEDET files.

2009-09-28  Eric Ludlam  <zappo@gnu.org>

	CEDET (development tools) package merged.

	* cedet/*.el:
	* cedet/ede/*.el:
	* cedet/semantic/*.el:
	* cedet/srecode/*.el: New files.

2009-09-28  Michael Albinus  <michael.albinus@gmx.de>

	* Makefile.in (ELCFILES): Add net/tramp-imap.elc.

	* net/tramp.el (top): Require tramp-imap.

	* net/tramp-smb.el (tramp-smb-handle-directory-files-and-attributes):
	Use `tramp-compat-handle-file-attributes'.

2009-09-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/tramp-imap.el: New package.

2009-09-28  Eric Ludlam  <zappo@gnu.org>

	* emacs-lisp/chart.el:
	* emacs-lisp/eieio-base.el:
	* emacs-lisp/eieio-comp.el:
	* emacs-lisp/eieio-custom.el:
	* emacs-lisp/eieio-datadebug.el:
	* emacs-lisp/eieio-opt.el:
	* emacs-lisp/eieio-speedbar.el:
	* emacs-lisp/eieio.el: New files.

	* cedet/cedet-cscope.el:
	* cedet/cedet-files.el:
	* cedet/cedet-global.el:
	* cedet/cedet-idutils.el:
	* cedet/data-debug.el:
	* cedet/inversion.el:
	* cedet/mode-local.el:
	* cedet/pulse.el: New files.

2009-09-27  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el (whitespace-trailing-regexp)
	(whitespace-empty-at-bob-regexp, whitespace-empty-at-eob-regexp):
	Fix doc string.

2009-09-27  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el: Remove menu-bar-ediff-misc-menu from the Tools
	menu.

	* ediff-hook.el: Move menu-bar-ediff-misc-menu into
	menu-bar-ediff-menu.

	* emacs-lisp/lisp-mode.el: Add doc-string-elt property to
	define-overloadable-function.

	* progmodes/autoconf.el: Provide autoconf as well, so that this
	file can be `require'd.

	* emacs-lisp/cl-macs.el (deftype): Add to cl-loaddefs.

	* emacs-lisp/autoload.el (generated-autoload-feature)
	(generated-autoload-load-name): New vars.
	(autoload-rubric, autoload-generate-file-autoloads): Use them.
	(make-autoload): Recognize define-overloadable-function and
	defclass forms (for EIEIO).

	* Makefile.in (update-subdirs): Exclude cedet directory.

2009-09-27  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el: Don't set the region face background. (Bug#4381)

	* faces.el: Default light-background background for region face to
	ns_selection_color under NS.

2009-09-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/imap-hash.el: New library, see NEWS.

	* Makefile.in (ELCFILES): Add imap-hash.el.

2009-09-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* help.el (help-for-help-internal): Don't purecopy the text (bug#4560).
	* isearch.el (isearch-help-for-help-internal): Purecopy the second arg.
	* help-macro.el (make-help-screen): Avoid using an ambiguous function
	definition where the docstring could be taken for the return value.

2009-09-26  Glenn Morris  <rgm@gnu.org>

	* mail/rmailmm.el (rmail-mime-show-images, rmail-mime-bulk-handler):
	Add option to only show images below a certain size.
	(rmail-mime-multipart-handler): Remove unnecessary save-match-data and
	save-excursion calls.

2009-09-26  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (WINS_ALMOST): Add cedet (with its
	subdirectories) and eieio.

2009-09-26  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-engine.el (c-beginning-of-statement-1):  Correct
	buggy bracketing.

	* progmodes/cc-langs.el (c-nonlabel-token-key): Allow quoted
	character constants (as case labels).

2009-09-25  Juri Linkov  <juri@jurta.org>

	* files.el (safe-local-eval-forms): Allow time-stamp in
	before-save-hook (Bug#4554).

2009-09-25  Drew Adams  <drew.adams@oracle.com>

	* menu-bar.el (list-buffers-directory): Doc fix.

2009-09-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* log-edit.el (log-edit-changelog-entries): Avoid inf-loops.
	Try and avoid copying twice the same paragraph.
	(log-edit-changelog-paragraph, log-edit-changelog-subparagraph):
	Remove save-excursion.
	(log-edit-changelog-entry): Do it here instead.

2009-09-25  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--get-file-name): Use `list-buffers-directory'
	when available, instead of hardcoding mode names.  Doc fix.

	* menu-bar.el (list-buffers-directory): Add docstring.
	Make automatically buffer-local.

	* dired.el (dired-mode):
	* files.el (cd-absolute):
	* pcvs.el (cvs-temp-buffer):
	* pcvs-util.el (cvs-get-buffer-create):
	* shell.el (shell-mode):
	* vc-dir.el (vc-dir-mode):
	Don't make `list-buffers-directory' buffer local.

2009-09-25  Devon Sean McCullough  <emacs-hacker@Jovi.Net>

	* comint.el (comint-exec, comint-run, make-comint):
	Doc fixes (Bug#4542).

2009-09-25  Glenn Morris  <rgm@gnu.org>

	* mail/rmailmm.el (rmail-mime): New custom group.
	Move all defcustoms in this file into this group.
	(rmail-mime-media-type-handlers-alist): Revert previous change.
	(rmail-mime-show-images): New option.
	(rmail-mime-total-number-of-bulk-attachments): Remove variable and all
	references to it, since it wasn't actually used for anything.
	(rmail-mime-insert-image): New function.
	(rmail-mime-image): Use rmail-mime-insert-image.
	(rmail-mime-bulk-handler): Remove optional `image' argument, instead
	obey the value of `rmail-mime-show-images' option.  Print the size of
	attachments.

2009-09-25  David Engster  <deng@randomsample.de>

	* progmodes/hideshow.el (hs-show-block): Run `hs-show-hook'.  (Bug#4548)

2009-09-24  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* whitespace.el: Does not highlight trailing spaces While point is
	at end of line.  Does not highligt spaces at beginning of buffer
	while point is at beginning of buffer.  Does not highlight spaces
	at end of buffer while point is at end of buffer.  (Bug#4177)
	New version 12.0.
	(whitespace-display-mappings): Adjust initialization.
	(whitespace-point, whitespace-font-lock-refontify): New vars.
	(whitespace-color-on, whitespace-color-off): Adjust code.
	(whitespace-trailing-regexp, whitespace-empty-at-bob-regexp)
	(whitespace-empty-at-eob-regexp, whitespace-space-regexp)
	(whitespace-tab-regexp, whitespace-post-command-hook): New funs.

2009-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* nxml/nxml-mode.el: Alias xml-mode to nxml-mode.

	* textmodes/sgml-mode.el: Remove xml-mode alias.

	* files.el (auto-mode-alist, conf-mode-maybe)
	(magic-fallback-mode-alist): Revert 2009-09-18 and 2009-09-21 changes.

2009-09-24  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-scan-conditionals): A new function like
	c-forward-conditionals, but it doesn't move point and doesn't set
	the mark.
	(c-up-conditional, c-up-conditional-with-else, c-down-conditional)
	(c-down-conditional-with-else, c-backward-conditional)
	(c-forward-conditional): Refactor to use c-scan-conditionals.

2009-09-24  Juanma Barranquero  <lekktu@gmail.com>

	* help-fns.el (help-downcase-arguments): New option, defaulting to nil.
	(help-default-arg-highlight): Remove.
	(help-highlight-arg): New function.
	(help-do-arg-highlight): Use it.
	Suggested by Drew Adams <drew.adams@oracle.com>.  (Bug#4510, bug#4520)

2009-09-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term.el (term-set-scroll-region, term-handle-ansi-escape):
	Undo last change, which didn't fix the problem and introduced others.

2009-09-24  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el: Don't require speedbar.
	(gdb-jsonify-buffer): Handle case where "=" is part of value string.

2009-09-24  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-fancy-display): Always run the hook.

	* term/ns-win.el (ns-reg-to-script): Define for compiler.

	* mail/rmailmm.el (rmail-mime-multipart-handler): Accept the case where
	there is no newline after the final mime boundary.  (Bug#4539)
	Move markers on insertion so that any buttons inserted don't end up in
	the next part of a multipart message.
	(rmail-mime-media-type-handlers-alist): Doc fix.  Add image handler.
	(rmail-mime-bulk-handler): Optionally handle images.
	(rmail-mime-image): New button action.
	(rmail-mime-image-handler): New function.
	(rmail-mime-mode): New mode.
	(rmail-mime): Doc fix.  Use rmail-mime-mode (for font-lock).

2009-09-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (minibuffer-force-complete): Cycle the list, rather
	than just dropping elements from it (bug#4504).

	* term.el (term-set-scroll-region): Don't move cursor any more.
	(term-handle-ansi-escape): Call term-goto here instead.
	Suggested by Ivan Kanis <apple@kanis.eu>.

	* term.el: Require CL.
	(term-ansi-reset): New function.
	(term-mode, term-emulate-terminal, term-handle-colors-array): Use it.
	(term-handle-colors-array): Simplify.

2009-09-24  Juanma Barranquero  <lekktu@gmail.com>

	* allout.el (allout-overlay-interior-modification-handler)
	(allout-obtain-passphrase):
	* epa-file.el (epa-file-write-region):
	* ps-print.el (ps-begin-job):
	* vc-hooks.el (vc-toggle-read-only):
	* vc-rcs.el (vc-rcs-rollback):
	* vc-sccs.el (vc-sccs-rollback):
	* vc.el (vc-deduce-fileset, vc-next-action, vc-register-with)
	(vc-version-diff, vc-revert, vc-rollback):
	* wdired.el (wdired-check-kill-buffer):
	* emacs-lisp/authors.el (authors):
	* net/socks.el (socks-open-connection):
	* net/zeroconf.el (zeroconf-service-add-hook):
	* obsolete/vc-mcvs.el (vc-mcvs-register):
	* progmodes/gdb-mi.el (def-gdb-thread-buffer-gud-command)
	(gdb-select-frame):
	* progmodes/grep.el (lgrep, rgrep):
	* progmodes/idlw-help.el (idlwave-help-check-locations)
	(idlwave-help-html-link, idlwave-help-assistant-open-link):
	* textmodes/ispell.el (ispell-find-aspell-dictionaries):
	* textmodes/reftex-toc.el (reftex-toc-promote-prepare)
	(reftex-toc-rename-label): Fix typos in error messages.

	* dired-aux.el (dired-do-shell-command): Reflow docstring.
	(dired-copy-how-to-fn): Doc fix.
	(dired-files-attributes, dired-read-shell-command):
	Fix typos in docstrings.

	* dired-x.el (dired-enable-local-variables, dired-filename-at-point)
	(dired-x-find-file-other-window): Reflow docstrings.
	(dired-omit-marker-char, dired-read-shell-command)
	(dired-x-submit-report): Fix typos in docstrings.

	* shell.el (shell-mode-hook):
	* view.el (View-scroll-line-forward):
	* progmodes/inf-lisp.el (inferior-lisp-mode-hook):
	Fix typos in docstrings.

	* net/dig.el (dig-invoke): Fix typo in docstring.
	(query-dig): Reflow docstring.

	* progmodes/idlwave.el (idlwave-create-user-catalog-file)
	(idlwave-quoted, idlwave-rinfo-max-source-lines): Doc fixes.
	(idlwave-abbrev-move, idlwave-auto-routine-info-updates)
	(idlwave-begin-block-reg, idlwave-begin-unit-reg)
	(idlwave-beginning-of-subprogram, idlwave-block-jump-out)
	(idlwave-block-match-regexp, idlwave-calculate-paren-indent)
	(idlwave-check-abbrev, idlwave-class-file-or-buffer)
	(idlwave-class-found-in, idlwave-complete, idlwave-complete-in-buffer)
	(idlwave-completion-map, idlwave-current-indent)
	(idlwave-custom-ampersand-surround, idlwave-customize)
	(idlwave-default-font-lock-items, idlwave-default-insert-timestamp)
	(idlwave-define-abbrev, idlwave-determine-class-special)
	(idlwave-do-action, idlwave-doc-header, idlwave-doc-modification)
	(idlwave-end-block-reg, idlwave-end-of-statement)
	(idlwave-end-of-statement0, idlwave-end-of-subprogram)
	(idlwave-end-unit-reg, idlwave-entry-find-keyword)
	(idlwave-explicit-class-listed, idlwave-file-header)
	(idlwave-fill-paragraph, idlwave-find-class-definition)
	(idlwave-fix-keywords, idlwave-hang-indent-regexp, idlwave-hard-tab)
	(idlwave-idlwave_routine_info-compiled, idlwave-in-comment)
	(idlwave-in-quote, idlwave-indent-action-table)
	(idlwave-indent-expand-table, idlwave-indent-line)
	(idlwave-indent-subprogram, idlwave-indent-to-open-paren)
	(idlwave-is-comment-line, idlwave-is-comment-or-empty-line)
	(idlwave-is-continuation-line, idlwave-is-pointer-dereference)
	(idlwave-kill-autoloaded-buffers, idlwave-lib-p, idlwave-look-at)
	(idlwave-make-tags, idlwave-mode, idlwave-mode-abbrev-table)
	(idlwave-mouse-active-rinfo, idlwave-newline, idlwave-no-change-comment)
	(idlwave-outlawed-buffers, idlwave-popup-select)
	(idlwave-previous-statement, idlwave-rescan-catalog-directories)
	(idlwave-routine-entry-compare, idlwave-routine-info.pro)
	(idlwave-scan-all-buffers-for-routine-info, idlwave-scan-class-info)
	(idlwave-shell-automatic-start, idlwave-shell-explicit-file-name)
	(idlwave-show-begin, idlwave-split-line, idlwave-split-link-target)
	(idlwave-statement-type, idlwave-struct-skip)
	(idlwave-substitute-link-target, idlwave-toggle-comment-region)
	(idlwave-update-current-buffer-info, idlwave-use-library-catalogs)
	(idlwave-what-module-find-class): Fix typos in docstrings.
	(idlwave-all-method-classes, idlwave-calc-hanging-indent)
	(idlwave-calculate-cont-indent, idlwave-expand-equal)
	(idlwave-find-module, idlwave-find-structure-definition)
	(idlwave-init-rinfo-when-idle-after, idlwave-insert-source-location)
	(idlwave-list-load-path-shadows, idlwave-next-statement)
	(idlwave-routine-entry-compare-twins, idlwave-routine-info)
	(idlwave-routines, idlwave-sintern-rinfo-list, idlwave-statement-match)
	(idlwave-template): Reflow docstrings.

	* progmodes/idlw-shell.el (idlwave-shell-syntax-error): Doc fix.
	(idlwave-shell-batch-command, idlwave-shell-bp-alist)
	(idlwave-shell-bp-get, idlwave-shell-bp-overlays)
	(idlwave-shell-bp-query, idlwave-shell-break-here, idlwave-shell-buffer)
	(idlwave-shell-display-line, idlwave-shell-display-wframe)
	(idlwave-shell-electric-debug-mode, idlwave-shell-examine-select)
	(idlwave-shell-file-name-chars, idlwave-shell-filter-bp)
	(idlwave-shell-goto-frame, idlwave-shell-halt-messages-re)
	(idlwave-shell-highlighting-and-faces, idlwave-shell-idl-wframe)
	(idlwave-shell-mode-hook, idlwave-shell-mode-line-info)
	(idlwave-shell-mode-map, idlwave-shell-module-source-filter)
	(idlwave-shell-mouse-help, idlwave-shell-mouse-print)
	(idlwave-shell-pc-frame, idlwave-shell-pending-commands)
	(idlwave-shell-print, idlwave-shell-quit, idlwave-shell-redisplay)
	(idlwave-shell-scan-for-state, idlwave-shell-send-command)
	(idlwave-shell-sentinel-hook, idlwave-shell-separate-examine-output)
	(idlwave-shell-shell-command, idlwave-shell-sources-alist)
	(idlwave-shell-sources-bp, idlwave-shell-sources-filter)
	(idlwave-shell-step, idlwave-shell-use-breakpoint-glyph)
	(idlwave-toolbar-add-everywhere, idlwave-toolbar-toggle):
	Fix typos in docstrings.
	(idlwave-shell-bp, idlwave-shell-clear-current-bp)
	(idlwave-shell-hide-output, idlwave-shell-mode)
	(idlwave-shell-run-region, idlwave-shell-set-bp-in-module):
	Reflow docstrings.

	* textmodes/bibtex.el (bibtex-sort-entry-class): Fix group name.

2009-09-24  Ivan Kanis  <apple@kanis.eu>

	* term.el (term-bold-attribute): New var.
	(term-handle-colors-array): Use it.

2009-09-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-version): New variable.
	(gdb-non-stop-handler): Set gdb-version.
	(gdb-gud-context-command, gdb-current-context-command, gdb-stopped):
	Condition "--thread" option on gdb-version.
	(gdb-invalidate-threads): Remove unused argument.

2009-09-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/flyspell.el (sgml-mode-flyspell-verify): Pass limit args
	to looking-back to avoid ridiculous slow down in large files (bug#4511).

2009-09-23  Glenn Morris  <rgm@gnu.org>

	* mail/rmail.el (rmail-reply): Don't try to add a References header when
	replying to mail without References or Message-Id.  (Bug#4525)

2009-09-23  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* term/ns-win.el (ns-reg-to-script): New variable.

2009-09-23  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-wait-for-status): Preserve existing 'error results.

2009-09-22  Sam Steingold  <sds@gnu.org>

	* vc-hg.el (vc-hg-print-log): Fix shortlog arg passing.
	(vc-hg-outgoing, vc-hg-incoming): Bump okstatus in `vc-hg-command'
	to 1 because hg returns status 1 when nothing is found.
	Bind `vc-short-log' for the sake of `vc-hg-log-view-mode'.

2009-09-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el: Convert to utf-8 encoding.
	(fill-french-nobreak-p): Remove redundant » and « inherited from our
	pre-unicode days.

	* add-log.el (change-log-fill-forward-paragraph): New function.
	(change-log-mode): Use it so fill-region DTRT.
	Set fill-indent-according-to-mode here rather than in
	change-log-fill-paragraph.
	(change-log-fill-paragraph): Remove.

2009-09-22  Juanma Barranquero  <lekktu@gmail.com>

	* info.el (Info-try-follow-nearest-node): Use the URL extracted by
	`Info-get-token', instead of `browse-url-url-at-point'.  (Bug#4508)

2009-09-22  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-mode-map): Make mouse-1 and 3 clicks on
	the scroll-bar scroll the calendar window rather than the buffer.

	* calendar/cal-menu.el (cal-menu-scroll-menu): Add a sub-section with
	commands that move point (as opposed to scrolling).

	* emulation/tpu-edt.el (tpu-copy-keyfile): Fix condition-case handler.

	* emacs-lisp/elint.el (elint): New custom group.
	(elint-log-buffer): Make it a defcustom.
	(elint-scan-preloaded, elint-ignored-warnings)
	(elint-directory-skip-re): New options.
	(elint-builtin-variables): Doc fix.
	(elint-preloaded-env): New variable.
	(elint-unknown-builtin-args): Add an entry for encode-time.
	(elint-extra-errors): Make it a variable rather than a constant.
	(elint-preloaded-skip-re): New constant.
	(elint-directory): Skip files matching elint-directory-skip-re.
	(elint-features): New variable, local to linted buffers.
	(elint-update-env): Initialize elint-features.  Possibly add
	elint-preloaded-env to the buffer's environment.
	(elint-get-top-forms): Bind elint-current-pos, for log messages.
	Skip quoted forms.
	(elint-init-form): New function, extracted from elint-init-env.
	Make non-list forms a warning rather than an error.
	Add the mode-map for define-derived-mode.  Handle define-minor-mode,
	easy-menu-define, put that adds an error-condition, and provide.
	When requiring cl, also require cl-macs.  Really require cl, to handle
	some cl macros.  Store required libraries in the list elint-features,
	so as not to re-load them.  Treat cc-require like require.
	(elint-init-env): Call elint-init-form to do the work.
	Handle eval-and-compile and such like.
	(elint-add-required-env): Do not clear messages.
	(elint-special-forms): Add handlers for function, defalias, if, when,
	unless, and, or.
	(elint-form): Add optional argument to ignore elint-special-forms,
	useful to prevent recursive calls from handlers.  Doc fix.
	Respect elint-ignored-warnings.
	(elint-form): Respect elint-ignored-warnings.
	(elint-bound-variable, elint-bound-function): New variables.
	(elint-unbound-variable): Respect elint-bound-variable.
	(elint-get-args): Respect elint-bound-function.
	(elint-check-cond-form): Add some simple handling for (f)boundp and
	featurep tests.
	(elint-check-defalias-form): New handler.
	(elint-check-let-form): Make an empty let a warning rather than an
	error.
	(elint-check-setq-form): Make an empty setq a warning rather than an
	error.  Respect elint-ignored-warnings.
	(elint-check-defvar-form): Accept null doc-strings.
	(elint-check-conditional-form): New handler.  Does some simple-minded
	checking of featurep and (f)boundp tests.
	(elint-put-function-args): New function.
	(elint-initialize): Use elint-scan-doc-file rather than
	elint-find-builtin-variables.  Use elint-put-function-args.
	Possibly scan preloaded-file-list.
	(elint-scan-doc-file): Rename from elint-find-builtin-variables and
	extend to handle functions as well.

2009-09-22  Lennart Borgman  <lennart.borgman@gmail.com>

	* linum.el (linum-delete-overlays, linum-update-window):
	Do not modify the right margin.  (Bug#3971)

2009-09-21  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (conf-mode-maybe, magic-fallback-mode-alist): Use
	nxml-mode instead of xml-mode.

2009-09-21  Kevin Ryde  <user42@zip.com.au>

	* net/dig.el: Add "Keywords: comm", as per net-utils.el.  (Bug#4501)

2009-09-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/dig.el (dig-mode): Use define-derived-mode.

2009-09-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (vc-do-command): Return the process object in
	the asynchronous case.  Use when instead of if.  Do not run
	vc-exec-after to display a message if not enabled.

	* vc-git.el (vc-git-dir-extra-headers): Add keymap and mouse-face
	properties to the stash strings.
	(vc-git-stash-list): Return a list of strings.
	(vc-git-stash-get-at-point, vc-git-stash-delete-at-point)
	(vc-git-stash-show-at-point): New functions.
	(vc-git-stash-map): New keymap.

	* register.el (ctl-x-r-map): Define the keys here instead of
	using autoload.

2009-09-20  Thierry Volpiatto  <thierry.volpiatto@gmail.com>  (tiny change)

	* bookmark.el (bookmark-write-file): Avoid calling `pp' with large
	list, to workaround performance problem (bug#4485).

2009-09-20  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-sentinel): Revert indavertant change.

2009-09-20  Daiki Ueno  <ueno@unixuser.org>

	* epa-file.el (epa-file-cache-passphrase-for-symmetric-encryption):
	Document that this option is not recommended to use.

2009-09-19  Glenn Morris  <rgm@gnu.org>

	* calc/calc-graph.el (calc-graph-lookup): Avoid assignment to free
	variable `var'.

	* calc/calc-alg.el (var):
	* calc/calcalg2.el (var): Define for compiler.

2009-09-19  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/advice.el (ad-get-argument, ad-set-argument):
	Doc fix (Bug#3932).

	* subr.el (baud-rate): Remove long-obsolete function (Bug#4372).

	* time-stamp.el (time-stamp-month-dd-yyyy)
	(time-stamp-dd/mm/yyyy, time-stamp-mon-dd-yyyy)
	(time-stamp-dd-mon-yy, time-stamp-yy/mm/dd)
	(time-stamp-yyyy/mm/dd, time-stamp-yyyy-mm-dd)
	(time-stamp-yymmdd, time-stamp-hh:mm:ss, time-stamp-hhmm):
	Remove functions that have been obsolete since 1995 (Bug#4436).

	* progmodes/sh-script.el (sh-learn-buffer-indent): Pop to the
	indent buffer only if called interactively (Bug#4452).

2009-09-19  Juanma Barranquero  <lekktu@gmail.com>
	    Eli Zaretskii  <eliz@gnu.org>

	This fixes bug#4197 (merged to bug#865, though not identical).
	* server.el (server-auth-dir): Add docstring note about FAT32.
	(server-ensure-safe-dir): Accept FAT32 directories as "safe",
	but warn against using them.

2009-09-19  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-var-update-handler-1): Include case of
	older GDB where there is no has_more field.

2009-09-19  Glenn Morris  <rgm@gnu.org>

	* pgg-pgp.el (pgg-pgp-encrypt-region): Add missing mapconcat separator.

2009-09-18  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (auto-mode-alist): Change default for XML files to nXML
	mode (Bug#4169).

2009-09-18  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-ensure-safe-dir): Pass 'integer
	to `file-attributes', as suggested.

2009-09-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* dired-aux.el (dired-query-alist): Remove spurious backslash.
	(dired-query): Use read-key.

2009-09-18  Adrian Robert  <Adrian.B.Robert@gmail.com>

	* cus-start.el (ns-use-qd-smoothing): Remove.

2009-09-18  Glenn Morris  <rgm@gnu.org>

	* allout.el (top-level): Remove unnecessary progn.

	* progmodes/js.el (js-end-of-defun): Remove malformed and unneeded let.

	* emacs-lisp/derived.el (define-derived-mode): Fix paren typo in
	definition of abbrev table.

	* speedbar.el (speedbar-track-mouse):
	* net/eudc-bob.el (eudc-bob-pipe-object-to-external-program):
	* net/eudc.el (eudc-expand-inline):
	* net/newst-backend.el (newsticker--cache-read-feed):
	* nxml/nxml-outln.el (nxml-end-of-heading): Fix typos in
	condition-case handlers.

2009-09-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-frame-address): New variable.
	(gdb-var-list): Add an element for has_more field.
	(gdb-non-stop-handler): Enable pretty printing for STL containers.
	(gdb-var-create-handler, gdb-var-list-children-handler-1)
	(gdb-var-update-handler-1): Parse output of dynamic variable
	objects (STL containers).
	(gdb-var-delete-1): Pass var1 as an explicit second argument.
	(gdb-get-field): Delete alias.  Use bindat-get-field directly.

	* progmodes/gud.el (gud-speedbar-item-info): Adjust for change to
	gdb-var-list.
	(gud-speedbar-buttons): Make node expandable if expression "has more"
	children.

2009-09-17  Juanma Barranquero  <lekktu@gmail.com>

	* startup.el (emacs-quick-startup): Remove variable and all uses.
	(command-line): Set `inhibit-x-resources' instead.
	(command-line-1): Use `inhibit-x-resources' instead.

2009-09-17  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el: Fix last change to avoid using the `unless' macro,
	which breaks bootstrapping.

2009-09-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (push, pop, dolist, dotimes, declare): Don't overwrite CL's
	extended definitions, in case we reload subr.el after having
	loaded CL.
	(eval-next-after-load): Mark as obsolete.

2009-09-17  Juri Linkov  <juri@jurta.org>

	* menu-bar.el (menu-bar-search-menu, menu-bar-edit-menu)
	(menu-bar-options-menu, menu-bar-showhide-fringe-menu)
	(menu-bar-showhide-menu, menu-bar-tools-menu)
	(menu-bar-describe-menu, menu-bar-help-menu)
	(minibuffer-local-completion-map, minibuffer-local-map):
	Fix list quoting.

2009-09-17  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-form): Always check the function
	arguments, whether or not it has a handler.

	* ansi-color.el (ansi-color-get-face-1): Fix typo in handler.

	* simple.el (hard-newline): Give it a doc-string.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-syntax-table):
	(lisp-mode-syntax-table): Give them doc-strings.

2009-09-17  Dan Nicolaescu  <dann@ics.uci.edu>

	* menu-bar.el (menu-bar-file-menu, menu-bar-file-menu)
	(menu-bar-i-search-menu, menu-bar-edit-menu, menu-bar-custom-menu)
	(menu-bar-options-menu, menu-bar-showhide-menu)
	(menu-bar-showhide-fringe-ind-menu, menu-bar-showhide-fringe-menu)
	(menu-bar-showhide-scroll-bar-menu, menu-bar-showhide-menu)
	(menu-bar-options-menu, menu-bar-line-wrapping-menu)
	(menu-bar-options-menu, menu-bar-tools-menu)
	(menu-bar-describe-menu, menu-bar-search-documentation-menu)
	(menu-bar-help-menu):
	(menu-bar-make-mm-toggle, menu-bar-make-toggle): Purecopy the
	string arguments.

	* ediff-hook.el (menu-bar-ediff-menu, menu-bar-ediff-merge-menu)
	(menu-bar-epatch-menu, menu-bar-ediff-misc-menu): Add purecopy
	calls for the menu names and :help.

2009-09-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (minor-mode-menu-from-indicator): Pay attention
	to :minor-mode-function (bug#4455).

2009-09-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* startup.el (command-line): Initialize the window-system after
	processing the command-line.

	* textmodes/page.el (what-page): Make sure we don't inf-loop if
	page-delimiter matches the empty string.

2009-09-16  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-not-obsolete-vars): Rename from
	byte-compile-not-obsolete-var.  It's a list now.
	(byte-compile-not-obsolete-funcs): New variable.
	(byte-compile-warn-obsolete): Don't warn about functions if they are in
	byte-compile-not-obsolete-funcs.
	(byte-compile-variable-ref, byte-compile-defvar): Update for
	byte-compile-not-obsolete-vars name-change and list nature.
	(byte-compile-maybe-guarded): Suppress warnings about obsolete functions
	and variables behind (f)boundp tests.
	* net/tramp-compat.el (byte-compile-not-obsolete-vars): Set if bound.

2009-09-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-log-view-mode): Undo inadvertent change.

2009-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (compile-onefile): Use byte-compile-refresh-preloaded.
	* emacs-lisp/bytecomp.el (byte-compile-refresh-preloaded):
	Don't autoload.

2009-09-15  Stephen Eglen  <stephen@gnu.org>

	* iswitchb.el (iswitchb-read-buffer): When selecting a match from
	the virtual-buffers, use the name of the buffer specified by
	find-file-noselect, as the match may be a symlink.  (This was a
	problem if the target and the symlink had different names.)

2009-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* custom.el (custom-initialize-default, custom-initialize-set): CSE.

	* desktop.el (desktop-path): Check user-emacs-directory.

	* emacs-lisp/bytecomp.el (byte-compile-refresh-preloaded): New function.

	* loadup.el: Use after-load-functions to GC after loading each file.
	Remove the explicit GC calls that used to be sprinkled around.

	* subr.el (after-load-functions): New hook.
	(do-after-load-evaluation): Run it.  Use string-match-p to detect
	`obsolete' packages, rather than painfully extracting the relevant
	directory name.

2009-09-15  Glenn Morris  <rgm@gnu.org>

	* apropos.el (apropos-documentation-check-doc-file): Avoid assignment to
	free variable `doc'.

	* dired.el (dired-mode-map): Add menu entry for async shell command.

	* help-fns.el (find-lisp-object-file-name): When looking for autoloaded
	variables, also consider the .elc files, since the .el files are
	normally gzipped (subsequent code locates the .el.gz from the .elc).

	* calc/calc-prog.el (arglist): Define for compiler.

	* calendar/diary-lib.el (diary-display-function): Change the default to
	fancy display.
	(body): Define for compiler.

	* emacs-lisp/bytecomp.el (byte-compile-keep-pending)
	(byte-compile-file-form, byte-compile-lambda)
	(byte-compile-top-level-body, byte-compile-form)
	(byte-compile-variable-ref, byte-compile-setq)
	(byte-compile-setq-default, byte-compile-body)
	(byte-compile-body-do-effect, byte-compile-and, byte-compile-or)
	(batch-byte-compile): Give some more local variables with common names
	a "bytecomp-" prefix to avoid masking warnings about free variables.

	* startup.el (command-line-1): Give local variables with common names a
	distinguishing prefix, so as not to hide free variable warnings during
	bootstrap.

	* mail/rmailmm.el (rmail-mime-save): If file exists, don't try to be
	clever and add a suffix to make a unique name, just let the user decide
	whether or not to overwrite it.  If the input is a directory, write the
	default filename to that directory.  (Bug#4388)
	(rmail-mime-bulk-handler): Ensure the save button's 'directory property
	is a filename-as-a-directory.

2009-09-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/page.el (what-page): Don't move to beginning of line.
	See <87tyz5ajte.fsf@x2.delysid.org> in emacs-devel.

2009-09-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-dir-extra-headers): Show the remote location.

2009-09-14  Dan Nicolaescu  <dann@ics.uci.edu>

	* bindings.el (mode-line-mode-menu): Add purecopy calls for :help.
	* help.el (help-for-help-internal): Add purecopy calls for text.

	* vc.el (top): print-log method now takes an optional SHORTLOG
	argument.  Add a new method: root.
	(vc-root-diff, vc-print-root-log): New functions.
	(vc-log-short-style): New variable.
	(vc-print-log-internal): Add support for showing short logs.

	* vc-hooks.el (vc-prefix-map, vc-menu-map): Add bindings for
	vc-print-root-log and vc-print-root-diff.

	* vc-bzr.el (vc-bzr-log-view-mode, vc-bzr-print-log):
	* vc-git.el (vc-git-print-log, vc-git-log-view-mode):
	* vc-hg.el (vc-hg-print-log, vc-hg-log-view-mode): Add support for
	short logs.

	* vc-cvs.el (vc-cvs-print-log):
	* vc-mtn.el (vc-mtn-print-log):
	* vc-rcs.el (vc-rcs-print-log):
	* vc-sccs.el (vc-sccs-print-log):
	* vc-svn.el (vc-svn-print-log): Add an optional argument shortlog
	that is ignored for now.

	* vc-mtn.el (vc-mtn-annotate-command):
	* vc-svn.el (vc-svn-annotate-command): Run asynchronously.

2009-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el: Add mapping for backspace/delete/clear/tab/escape/return
	to function-key-map, and give them ascii-character property.
	* term/x-win.el (x-alternatives-map):
	* term/ns-win.el (ns-alternatives-map):
	* term/internal.el (msdos-key-remapping-map):
	* w32-fns.el (x-alternatives-map): Remove redundant mappings.

2009-09-14  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/elint.el (elint-add-required-env): Revert to not using
	temp-buffers (2009-09-12).

2009-09-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/ispell.el (ispell-command-loop): Improve last fix, using
	the new read-key function.

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-menu-bar-open): Only call accelerate-menu if it
	is defined (Bug#4405).

2009-09-13  Vincent Belaïche  <vincent.belaiche@gmail.com>

	* recentf.el (recentf-cleanup): Use a hash table to find
	duplicates (Bug#4407).

2009-09-13  Per Starbäck  <per@starback.se>  (tiny change)

	* textmodes/ispell.el (ispell-command-loop): Convert keys such as
	kp-0 to ascii equivalents (Bug#4325).

2009-09-13  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cperl-mode.el (cperl-init-faces): Revert last change.

	* eshell/em-hist.el:
	* eshell/em-dirs.el (eshell-complete-user-reference):
	Declare pcomplete functions and variables to avoid compiler warnings.

2009-09-13  Leo  <sdl.web@gmail.com>  (tiny change)

	* eshell/em-script.el (eshell-login-script, eshell-rc-script):
	* eshell/em-dirs.el (eshell-last-dir-ring-file-name):
	* eshell/em-alias.el (eshell-aliases-file):
	* eshell/em-hist.el (eshell-history-file-name):
	Use expand-file-name instead of concat to make file names (Bug#4308).

2009-09-13  Glenn Morris  <rgm@gnu.org>

	* ediff-merg.el (ediff-do-merge):
	* filesets.el (filesets-run-cmd):
	* emulation/ws-mode.el (ws-show-markers, ws-move-block, ws-delete-block)
	(ws-find-marker-0, ws-find-marker-1, ws-find-marker-2, ws-find-marker-3)
	(ws-find-marker-4, ws-find-marker-5, ws-find-marker-6, ws-find-marker-7)
	(ws-find-marker-8, ws-find-marker-9, ws-goto-block-begin)
	(ws-goto-block-end, ws-goto-last-cursorposition, ws-copy-block):
	Replace empty `let's with `progn'.

2009-09-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/sendmail.el (send-mail-function):
	* tooltip.el (tooltip-mode):
	* simple.el (transient-mark-mode):
	* rfn-eshadow.el (file-name-shadow-mode):
	* frame.el (blink-cursor-mode):
	* font-core.el (global-font-lock-mode):
	* files.el (temporary-file-directory)
	(small-temporary-file-directory, auto-save-file-name-transforms):
	* epa-hook.el (auto-encryption-mode):
	* composite.el (global-auto-composition-mode):
	Use custom-initialize-delay.
	* startup.el (command-line): Don't explicitly call
	custom-reevaluate-setting for all the above vars.
	* custom.el (custom-initialize-safe-set)
	(custom-initialize-safe-default): Delete.

2009-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* term/x-win.el (x-initialize-window-system):
	* term/w32-win.el (w32-initialize-window-system):
	* term/ns-win.el (ns-initialize-window-system): Don't call
	mouse-wheel-mode since it's enabled globally by default already.

	* mwheel.el (mouse-wheel-mode): Make sure the new defvar doesn't
	actually define the variable, but only silences the byte-compiler.
	(mouse-wheel-change-button): Check whether mouse-wheel-mode is bound
	before looking it up.
	(mouse-wheel-scroll-amount): Also reset the bindings if this value
	is changed.

2009-09-12  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/elint.el (elint-file): Make max-lisp-eval-depth at least
	1000.
	(elint-add-required-env): Don't beep on error.
	(elint-forms): In case of error, return ENV unchanged.
	(elint-init-env): Skip non-list forms.
	(elint-log): Handle unknown file positions.

2009-09-12  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-make-context): Add autoload cookie.
	(epg-list-keys, epg-cancel, epg-start-decrypt, epg-decrypt-file)
	(epg-decrypt-string, epg-start-verify, epg-verify-file)
	(epg-verify-string, epg-start-sign, epg-sign-file)
	(epg-sign-string, epg-start-encrypt, epg-encrypt-file)
	(epg-encrypt-string, epg-start-export-keys)
	(epg-export-keys-to-file, epg-export-keys-to-string)
	(epg-start-import-keys, epg-import-keys-from-file)
	(epg-import-keys-from-string, epg-start-receive-keys)
	(epg-receive-keys, epg-import-keys-from-server)
	(epg-start-delete-keys, epg-delete-keys, epg-start-sign-keys)
	(epg-sign-keys, epg-start-generate-key)
	(epg-generate-key-from-file, epg-generate-key-from-string):
	Remove autoload cookie.

2009-09-12  Eli Zaretskii  <eliz@gnu.org>

	* dos-fns.el (dos-reevaluate-defcustoms): Comment out the
	reevaluation of trash-directory.

	* mwheel.el: Fix last change.
	(mouse-wheel-mode): New defvar.
	(mouse-wheel-mode): Remove autoload cookie.

2009-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mwheel.el (mwheel-installed-bindings): New var.
	(mouse-wheel-mode): Use it, so as to make sure we really remove all
	the bindings we set last time.  Use custom-initialize-delay.
	* loadup.el: Load mwheel after term/*-win.el.
	* startup.el (command-line): Don't reevaluate mouse-wheel-down-event
	and mouse-wheel-up-event now that their first evaluation is done
	sufficiently late to be correct.

	* startup.el (tutorial-directory): Make it a defcustom.
	Use custom-initialize-delay rather than eval-at-startup to set it.
	* image.el (image-load-path): Make it a defcustom.
	Use custom-initialize-delay rather than eval-at-startup to set it.
	* subr.el (eval-at-startup): Remove.
	* font-lock.el (lisp-font-lock-keywords-2): Remove eval-at-startup.

	* subr.el (do-after-load-evaluation): Warn the user after loading an
	obsolete package.

2009-09-12  Glenn Morris  <rgm@gnu.org>

	* proced.el (proced-mark-alt): Remove alias.
	(proced-mode-map): Remove proced-mark-alt.

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Add menu entries to
	Elint file and directory.  Remove initialization entry.

	* emacs-lisp/elint.el (elint-file, elint-directory): New autoloaded
	commands.
	(elint-current-buffer): Set mode-line-process.
	(elint-init-env): Handle define-derived-mode.
	Fix declare-function with unspecified arglist.  Guard against odd
	defalias statements (eg iso-insert's 8859-1-map).
	(elint-add-required-env): Use a temp buffer.
	(elint-form): Just print the function/macro name, not the whole form.
	Return env unchanged if we fail to parse a macro.
	(elint-forms): Guard against parse errors.
	(elint-output): New function, to handle batch mode.
	(elint-log-message): Add optional argument.  Use elint-output.
	(elint-set-mode-line): New function.

2009-09-12  Andreas Politz  <politza@fh-trier.de>  (tiny change)

	* emacs-lisp/elp.el (elp-not-profilable): Add more
	functions (Bug#4233).

2009-09-12  Chong Yidong  <cyd@stupidchicken.com>

	* emulation/pc-select.el (scroll-down-mark, scroll-down-nomark)
	(scroll-up-mark, scroll-up-nomark): Doc fix (Bug#4190).

2009-09-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-var-list-children-regexp): Delete.
	(gdb-var-list-children): Use json parsing.

2009-09-11  Daniel Colascione <dan.colascione@gmail.com>

	* progmodes/js.el (js--proper-indentation): Handle the case where
	char-before is null.  Reported by Deniz Dogan.

2009-09-11  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/cl-macs.el (help-add-fundoc-usage): Declare.

2009-09-11  Daiki Ueno  <ueno@unixuser.org>

	* epg.el (epg-cipher-algorithm-alist): Add CAMELLIA.
	(epg-digest-algorithm-alist): Add SHA224.
	(epg-context-set-passphrase-callback)
	(epg-context-set-progress-callback): Add description about
	callback function.

2009-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* custom.el (custom-delayed-init-variables): New var.
	(custom-initialize-delay): New function.
	* startup.el (command-line): "Re"evaluate all vars in
	custom-delayed-init-variables.  Don't reevaluate abbrev-file-name
	explicitly any more.
	* abbrev.el (abbrev-file-name): Use custom-initialize-delay
	to avoid creating a ~/.emacs.d at build-time (bug#4347).

	* proced.el (proced-mode-map): Prefer "m" for proced-mark (bug#4362).

2009-09-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-var-update-regexp): Delete.
	(gdb-var-update-handler): Use json parsing.

2009-09-11  Juanma Barranquero  <lekktu@gmail.com>

	* vc-annotate.el (vc-annotate): Use the main file's coding-system to
	decode annotated text, regardless of language environment.  (Bug#2741)

2009-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (autoloads): Make rmail.el writable as well.

2009-09-11  Glenn Morris  <rgm@gnu.org>

	* dired-aux.el, dired-x.el: Put autoloads in dired.el rather than
	loaddefs.el.
	* dired.el: Regenerate with extracted autoloads.
	* Makefile.in (autoloads): Make dired.el writable.

	* ibuf-ext.el: Put autoloads in ibuffer.el rather than loaddefs.el.
	* ibuffer.el: Regenerate with extracted autoloads.
	* Makefile.in (autoloads): Make ibuffer.el writable.

	* paths.el (prune-directory-list, gnus-nntp-service, rmail-file-name):
	* version.el (emacs-copyright, emacs-major-version)
	(emacs-minor-version): Reformat doc-strings for make-docfile.

	* apropos.el (apropos-documentation-check-doc-file): Exclude unbound
	functions and variables, since they must be stuff specific to some other
	platform.
	(apropos-print): Make mouse-click message less specific about button.

	* emacs-lisp/cl-macs.el (define-compiler-macro): Add a property
	that records where a macro was defined.
	* help-fns.el (describe-function-1): Mention if a function has a
	compiler-macro.
	* help-mode.el (help-function-cmacro): New button.

	* locate.el (top-level): Always require dired.
	(locate-mode-map): Initialize inside the defvar.

	* net/ange-ftp.el (dired-compress-file): Declare.
	(ange-ftp-dired-compress-file): Add doc string.

	* term/ns-win.el (x-display-name, x-setup-function-keys):
	Unify doc-strings with X versions.

2009-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/crisp.el (crisp-mode-map): Move initialization
	into declaration.
	(crisp-mode): Use define-minor-mode.

	* progmodes/xscheme.el (xscheme-evaluation-commands):
	Put a :advertised-binding property rather than using
	advertised-xscheme-send-previous-expression.
	(advertised-xscheme-send-previous-expression): Declare obsolete.
	* emulation/crisp.el (crisp-mode-map): Use `undo' rather than
	`advertised-undo'.
	(crisp-mode): Add corresponding bindings to
	undo's :advertised-binding instead.
	* dired.el (dired-mode-map): Put a :advertised-binding property rather
	than using dired-advertised-find-file.
	(dired-advertised-find-file):
	* simple.el (advertised-undo):
	* wid-edit.el (advertised-widget-backward): Declare obsolete.
	(widget-keymap): Put a :advertised-binding property rather
	than using advertised-widget-backward.
	* bindings.el (ctl-x-map): Put a :advertised-binding property rather
	than using advertised-undo.
	* tutorial.el (tutorial--default-keys): Adjust accordingly.

2009-09-10  Simon South  <ssouth@slowcomputing.org>

	* progmodes/delphi.el (delphi-tab): Indent region when Transient
	Mark mode is enabled and region is active; otherwise indent or
	insert TAB as usual.
	(delphi-mode): Update description of TAB-key binding.

2009-09-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (define-key-rebound-commands): Mark obsolete.
	* startup.el (precompute-menubar-bindings): Remove.
	(normal-top-level): Remove obsolete code that tried to precompute
	menubar bindings.
	* loadup.el (define-key-rebound-commands): Don't bother fiddling with
	define-key-rebound-commands and precompute-menubar-bindings.

2009-09-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/imap.el (imap-interactive-login): Better messages.
	(imap-open): Fix bug with renamed buffer on reconnect.
	(imap-authenticate): Add buffer-local imap-last-authenticator variable
	for easier debugging and cleaner code.  On successful (guessed based on
	server capabilities) secondary authentication, set imap-state
	correctly.
	(imap-last-authenticator): Define imap-last-authenticator as a variable
	to avoid warnings.

2009-09-10  Glenn Morris  <rgm@gnu.org>

	* pcvs.el (cvs-mode-find-file): Use forward-line rather than goto-line.

	* emacs-lisp/bytecomp.el (byte-compile-function-environment): Doc fix.
	(byte-compile-file-form-autoload): Don't warn about unknown functions
	where the autoload statement comes after the use.
	(with-no-warnings): Give it a byte-hunk-handler like than of progn, so
	that any handlers inside the body (eg require) are in turn respected.

	* emacs-lisp/byte-opt.el (degrees-to-radians): Mark as free from side
	effects.

	* emacs-lisp/derived.el (define-derived-mode): Give the mode's map,
	and syntax and abbrev tables basic docs, if they don't have any.

	* emacs-lisp/easy-mmode.el (easy-mmode-defmap): Add doc-string.

	* international/mule-cmds.el (top-level): Require cl when compiling.
	(view-hello-file): Use default-value rather than
	default-enable-multibyte-characters.

	* progmodes/fortran.el: Move all safe and risky properties into the
	defcustoms.

	* mail/rmailedit.el, mail/rmailkwd.el, mail/rmailmm.el:
	* mail/rmailmsc.el, mail/rmailsort.el, mail/rmailsum.el:
	* mail/undigest.el:
	Put autoloads in rmail.el rather than loaddefs.el.
	* mail/rmail.el: Regenerate with extracted autoloads.

	* mail/rmailsum.el (rmail-user-mail-address-regexp): Move to rmail.el.
	* mail/rmail.el (rmail-user-mail-address-regexp): Move from rmailsum.el.

2009-09-10  Nick Roberts  <nickrob@snap.net.nz>

	Reported in thread for Bug#4375.
	* progmodes/gud.el (gud-tooltip-print-command): Use MI command
	"-data-evaluate-expression" instead of print.
	* progmodes/gdb-mi.el (gdb-tooltip-print-1): Ditto.
	(gdb-tooltip-print): Parse output from above MI command.
	(gdb): Revert 2009-08-11 change.  User should detach inferior
	manually.

	Remove the word "separate" from IO functions as inferior
	output is now never displayed in the GUD buffer.

2009-09-10  Juanma Barranquero  <lekktu@gmail.com>

	* startup.el (command-line-normalize-file-name): On Windows and
	MS-DOS, also convert C:\/ and C:\\ (two backslashes) into C:/.

2009-09-10  Juri Linkov  <juri@jurta.org>

	* isearch.el (isearch-text-char-description): Propertize escape
	character sequences with the `escape-glyph' face.  (Bug#4344)

	* simple.el (shell-command): Set asynchronous process filter to
	`comint-output-filter'.  (Bug#4343)

	* progmodes/grep.el (grep-template): Add "<X>" to docstring.
	(grep-files-aliases): Add "all".  Move "el" and "ch" to the top of
	the list.  Move "asm" to the bottom.
	(grep-find-ignored-directories): Add `choice' with nil value
	to empty the list easily.
	(grep-find-ignored-files): New option.
	(grep-files-history): Set to nil by default instead of '("ch" "el").
	(grep-compute-defaults): Add "<X>" to `grep-template'.
	(grep-read-files): Bind new local variables `default-alias' and
	`default-extension'.  Use a list of default values for the file prompt.
	(lgrep): Add `--exclude=' command line options composed from
	`grep-find-ignored-files'.
	(rgrep): Add `-name' command line options composed from
	`grep-find-ignored-files'.  (Bug#4301)

2009-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-hunk-kill): Fix the search of the next hunk
	(bug#4368).

2009-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* calendar/time-date.el (autoload):
	Expand define-obsolete-function-alias into defalias and make-obsolete
	for old Emacsen that Gnus supports.
	(with-no-warnings): Define it for old Emacsen.
	(time-to-seconds): Don't use (featurep 'xemacs) to check if float-time
	is available.
	(time-to-number-of-days): Don't use (featurep 'xemacs) to check if
	float-time is available; suppress compile warning for time-to-seconds.

2009-09-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* net/imap.el (imap-message-map): Docstring fix.

2009-09-09  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-file-at-point): Handle absolute (non-remote) files with
	line numbers too.  (Bug#4374)

2009-09-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smerge-mode.el (smerge-remove-props, smerge-refine):
	Use with-silent-modifications (bug#4342).

	* subr.el (with-silent-modifications): New macro.

2009-09-07  Juanma Barranquero  <lekktu@gmail.com>

	* files.el (top-level): Require `cl' when compiling.

2009-09-07  Glenn Morris  <rgm@gnu.org>

	* files.el (auto-mode-alist): Use delphi-mode for .dpr files.

	* proced.el (proced-mode-map): Bind "d" to proced-mark-alt.
	(proced-mark-alt): New alias, to control the advertised key.  (Bug#4362)

2009-09-06  Nick Roberts  <nickrob@snap.net.nz>

	* vc-git.el (vc-git-annotate-command): Use separator to parse
	arguments correctly.

2009-09-06  Eli Zaretskii  <eliz@gnu.org>

	* proced.el (proced-mode): Doc fix.

2009-09-06  Julian Scheid  <julians37@gmail.com>  (tiny change)

	* net/tramp.el (tramp-perl-file-attributes): Print "nil" when
	lstat fails.
	(tramp-do-file-attributes-with-ls): Check for file existence at
	remote end.
	(tramp-do-file-attributes-with-stat): Likewise.
	(tramp-convert-file-attributes): Return nil when attr is nil.

2009-09-05  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-entry): Add help-echo and follow-link
	properties to this button.
	(diary-fancy-display): Don't extend the button to the final newline.
	(diary-fancy-display-mode): Continue to define "q" as a local key.

	* calendar/cal-china.el (holiday-chinese): Make it slightly more
	efficient.

	* font-lock.el (lisp-font-lock-keywords-2): Add letf.

	* emacs-lisp/bytecomp.el (emacs-lisp-file-regexp): Doc fix.
	(byte-compile-dest-file-function): New option.
	(byte-compile-dest-file): Doc fix.
	Obey byte-compile-dest-file-function.
	(byte-compile-cl-file-p): New function.
	(byte-compile-eval): Only suppress noruntime warnings about cl functions
	if the cl-functions warning is enabled.  Use byte-compile-cl-file-p.
	(byte-compile-eval): Check for non-nil byte-compile-cl-functions rather
	than for file being previously loaded.
	(byte-compile-find-cl-functions): Use byte-compile-cl-file-p.
	(byte-compile-file-form-require): Handle the case where requiring a file
	indirectly causes CL to be loaded.

2009-09-05  Karl Fogel  <kfogel@red-bean.com>

	* files.el (find-alternate-file): Run `kill-buffer-hook' manually
	before killing the old buffer, since by the time `kill-buffer' is
	run so many buffer variables have been set to nil that it may not
	behave as expected.  (Bug#4061)

2009-09-05  Karl Fogel  <kfogel@red-bean.com>

	* files.el (find-alternate-file): If the old buffer is modified
	and visiting a file, behave similarly to `kill-buffer' when
	killing it, thus reverting to the pre-1.878 behavior; see
	http://lists.gnu.org/archive/html/emacs-devel/2009-09/msg00101.html
	for discussion.  Also, consult `buffer-file-name' as a variable
	not as a function, for consistency with the rest of the code.

2009-09-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-directory): Handle "--dired"
	also when adding a new directory.

	* net/tramp-compat.el (tramp-compat-line-beginning-position): New
	defun.

2009-09-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (locate-file-completion-table): Make it provide boundary
	information, so partial-completion works better.

2009-09-04  Leo  <sdl.web@gmail.com>  (tiny change)

	* mail/footnote.el (Footnote-text-under-cursor):
	Check footnote-text-marker-alist before using it (bug#4324).

2009-09-04  Glenn Morris  <rgm@gnu.org>

	* play/5x5.el, play/decipher.el, play/gametree.el, play/handwrite.el:
	* play/hanoi.el, play/landmark.el, play/mpuz.el, play/pong.el:
	* play/solitaire.el, play/tetris.el:
	Remove leading * from defcustom and defface docs.

	* calendar/diary-lib.el (diary-fancy-display): Only switch modes if
	necessary.
	(diary-fancy-overriding-map): New variable.
	(diary-fancy-display-mode): Set minor-mode-overriding-map-alist.
	Use view-mode.

	* vc-rcs.el (vc-rcs-annotate-command): Use forward-line rather than
	goto-line.

2009-09-03  Glenn Morris  <rgm@gnu.org>

	* arc-mode.el (archive-mode):
	* dos-fns.el (set-default-process-coding-system):
	* man.el (Man-getpage-in-background):
	* menu-bar.el (menu-bar-describe-menu):
	* server.el (server-process-filter):
	* startup.el (command-line):
	* tar-mode.el (tar-header-block-tokenize, tar-extract):
	* w32-fns.el (set-default-process-coding-system):
	* x-dnd.el (x-dnd-handle-file-name):
	* international/mule-cmds.el (mule-menu-keymap)
	(set-default-coding-systems, language-info-alist, set-language-info)
	(set-language-environment, standard-display-european-internal)
	(set-locale-environment):
	* international/mule-diag.el (mule-diag):
	* mail/emacsbug.el (report-emacs-bug):
	* mail/rmail.el (rmail-mode):
	* mail/sendmail.el (mail-setup):
	Use default-value rather than default-enable-multibyte-characters.

	* progmodes/f90.el: Move all safe properties into the defcustoms.
	(f90-get-correct-indent, f90-indent-region, f90-abbrev-start): Use memq.

	* calendar/appt.el (appt-check):
	* calendar/diary-lib.el (diary-set-header, diary-live-p)
	(diary-check-diary-file, diary-list-entries)
	(diary-include-other-diary-files, diary-simple-display)
	(diary-fancy-display, diary-print-entries)
	(diary-mark-included-diary-files, diary-make-entry):
	Don't call substitute-in-file-name on diary-file.

2009-09-03  Eduard Wiebe  <usenet@pusto.de>
	    Stefan Monnier  <monnier@iro.umontreal.ca>

	* mail/footnote.el (footnote-prefix): Make it a defcustom.
	(footnote-mode-map): Move initialization into the declaration.
	(footnote-minor-mode-map): Define it rather than changing global-map.
	(footnote-mode): Use define-minor-mode.

2009-09-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-file-attributes-with-ls)
	(tramp-do-file-attributes-with-perl)
	(tramp-do-file-attributes-with-stat): Rename from
	`tramp-handle-file-attributes-with-*'.
	(tramp-handle-file-attributes): Use them.
	(tramp-do-directory-files-and-attributes-with-perl)
	(tramp-do-directory-files-and-attributes-with-stat): Rename from
	`tramp-handle-directory-files-and-attributes-with-*'.
	(tramp-handle-directory-files-and-attributes): Use them.
	(tramp-method-out-of-band-p): Additional parameter SIZE.
	(tramp-do-copy-or-rename-file, tramp-handle-file-local-copy)
	(tramp-handle-write-region): Use it.
	(tramp-handle-insert-directory): Use "?\ " for compatibility reasons.
	(tramp-handle-vc-registered): Check, whether the first run did
	return files to be tested.
	(tramp-advice-make-auto-save-file-name): Do not call directly
	`tramp-handle-make-auto-save-file-name', because this would bypass
	the locking mechanism.

	* net/tramp-compat.el (top): Autoload used functions from tramp.el.
	(file-remote-p, process-file, start-file-process, set-file-times)
	(tramp-compat-file-attributes): Compatibility functions shall not
	call directly `tramp-handle-*', because this would bypass the
	locking mechanism.
	(tramp-compat-number-sequence): New defun.

2009-09-02  Glenn Morris  <rgm@gnu.org>

	* calendar/time-date.el (time-to-seconds): In Emacs, make it an obsolete
	alias for float-time.
	(time-to-number-of-days): In Emacs, use float-time.
	* net/newst-backend.el (time-add): Suppress warnings from compat
	function.
	* time.el (emacs-uptime, emacs-init-time):
	* net/rcirc.el (rcirc-keepalive, rcirc-handler-ctcp-KEEPALIVE):
	Use float-time rather than time-to-seconds.

	* minibuffer.el (completion-initials-expand): Fix typo.

	* faces.el (modeline, modeline-inactive, modeline-highlight)
	(modeline-buffer-id):
	* info.el (info-menu-5): Mark these face aliases as obsolete.

2009-09-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-current-context-command): Move the
	space ...
	(gdb-gud-context-call): ... to here for pre GDB 7.0 when there is
	no "--thread" option.
	(gdb-stopped): Don't print "Switched to thread" message when it is
	unchanged.

2009-09-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* minibuffer.el (completion-try-completion)
	(completion-all-completions): Remove ill-defined (and
	mistakenly installed and luckily never used nor documented)
	`completion-styles' property.
	(completion-initials-expand, completion-initials-all-completions)
	(completion-initials-try-completion): New functions.
	(completion-styles-alist): Add doc to each entry.
	Add new `initials' entry.

2009-09-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-var-create-handler): Remove redundant
	MI command -var-evaluate-expression.
	(gdb-var-list-children-regexp): Update from regexp-1 in gdb-ui.el
	and tweak for case of string child.
	(gdb-var-list-children-handler): Update from handler-1 in gdb-ui.el.

2009-09-01  Glenn Morris  <rgm@gnu.org>

	* add-log.el (change-log-date-face, change-log-name-face)
	(change-log-email-face, change-log-file-face, change-log-list-face)
	(change-log-conditionals-face, change-log-function-face)
	(change-log-acknowledgement-face):
	* cus-edit.el (custom-invalid-face, custom-rogue-face)
	(custom-modified-face, custom-set-face, custom-changed-face)
	(custom-saved-face, custom-button-face, custom-button-pressed-face)
	(custom-documentation-face, custom-state-face, custom-comment-face)
	(custom-comment-tag-face, custom-variable-tag-face)
	(custom-variable-button-face, custom-face-tag-face)
	(custom-group-tag-face-1, custom-group-tag-face):
	* diff-mode.el (diff-header-face, diff-file-header-face)
	(diff-index-face, diff-hunk-header-face, diff-removed-face)
	(diff-added-face, diff-changed-face, diff-function-face)
	(diff-context-face, diff-nonexistent-face):
	* generic-x.el (show-tabs-tab-face, show-tabs-space-face):
	* hilit-chg.el (highlight-changes-face, highlight-changes-delete-face):
	* info.el (Info-title-1-face, Info-title-2-face, Info-title-3-face)
	(Info-title-4-face):
	* isearch.el (isearch-lazy-highlight-face):
	* log-view.el (log-view-file-face, log-view-message-face):
	* paren.el (show-paren-match-face, show-paren-mismatch-face):
	* pcvs-info.el (cvs-header-face, cvs-filename-face, cvs-unknown-face)
	(cvs-handled-face, cvs-need-action-face, cvs-marked-face)
	(cvs-msg-face):
	* smerge-mode.el (smerge-mine-face, smerge-other-face)
	(smerge-base-face, smerge-markers-face):
	* wid-edit.el (widget-documentation-face, widget-button-face)
	(widget-field-face, widget-single-line-field-face)
	(widget-inactive-face, widget-button-pressed-face):
	* woman.el (woman-italic-face, woman-bold-face, woman-unknown-face)
	(woman-addition-face):
	* eshell/em-ls.el (eshell-ls-directory-face, eshell-ls-symlink-face)
	(eshell-ls-executable-face, eshell-ls-readonly-face)
	(eshell-ls-unreadable-face, eshell-ls-special-face)
	(eshell-ls-missing-face, eshell-ls-archive-face)
	(eshell-ls-backup-face, eshell-ls-product-face)
	(eshell-ls-clutter-face):
	* eshell/em-prompt.el (eshell-prompt-face):
	* eshell/esh-test.el (eshell-test-ok-face, eshell-test-failed-face):
	* obsolete/old-whitespace.el (whitespace-highlight-face):
	* progmodes/antlr-mode.el (antlr-font-lock-default-face)
	(antlr-font-lock-keyword-face, antlr-font-lock-syntax-face)
	(antlr-font-lock-ruledef-face, antlr-font-lock-tokendef-face)
	(antlr-font-lock-ruleref-face, antlr-font-lock-tokenref-face)
	(antlr-font-lock-literal-face):
	* progmodes/ebrowse.el (ebrowse-tree-mark-face)
	(ebrowse-root-class-face, ebrowse-file-name-face)
	(ebrowse-default-face, ebrowse-member-attribute-face)
	(ebrowse-member-class-face, ebrowse-progress-face):
	* progmodes/make-mode.el (makefile-space-face):
	* progmodes/sh-script.el (sh-heredoc-face):
	* textmodes/flyspell.el (flyspell-incorrect-face)
	(flyspell-duplicate-face):
	* textmodes/tex-mode.el (tex-math-face, tex-verbatim-face):
	* textmodes/texinfo.el (texinfo-heading-face):
	Mark face aliases with "-face" suffix as obsolete.

	* mail/feedmail.el (file-name-buffer-file-type-alist): Define for
	compiler.

	* net/eudc-bob.el (eudc-bob-generic-menu, eudc-bob-image-menu)
	(eudc-bob-sound-menu): Use defvar rather than defconst, since
	easy-menu-define wants to modify these.

	* net/net-utils.el (nslookup): Use make-comint rather than comint-run.

	* net/browse-url.el (browse-url-file-url):
	* term/internal.el (dos-codepage-setup):
	Use default-value rather than default-enable-multibyte-characters.

	* progmodes/etags.el (etags-goto-tag-location):
	* progmodes/flymake.el (flymake-highlight-line)
	(flymake-goto-file-and-line, flymake-goto-line):
	* progmodes/gdb-mi.el (gdb-mouse-until, gdb-mouse-jump)
	(gdb-goto-breakpoint):
	* progmodes/idlw-shell.el (idlwave-shell-move-to-bp):
	* progmodes/python.el (python-find-function)
	(python-pdbtrack-track-stack-file):
	* progmodes/verilog-mode.el (verilog-surelint-off):
	* term/ns-win.el (ns-open-file-select-line):
	* textmodes/bibtex.el (bibtex-validate, bibtex-validate-globally):
	Use forward-line rather than goto-line.

	* textmodes/reftex-cite.el (reftex-offer-bib-menu):
	* textmodes/reftex-index.el (reftex-display-index):
	* textmodes/reftex-ref.el (reftex-offer-label-menu):
	* textmodes/reftex-toc.el (reftex-toc):
	Remove unnecessary bindings of default-major-mode (all are followed by
	major-mode check and possible mode switch).

2009-08-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-breakpoints-list-handler-custom):
	Handle watchpoints (bug#4282).
	(def-gdb-thread-buffer-command): Enable thread to be selected by
	clicking without selecting threads buffer first.
	(gdb-current-context-command): Use selected frame so that "up",
	"down" etc work in the GUD buffer.
	(gdb-update): Find selected frame before rendering stack buffer.
	(gdb-frame-handler): Set gdb-frame-number for stack buffer.

2009-08-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sym-comp.el (displayed-completions): Remove.
	(symbol-complete): Use minibuffer-complete.

2009-08-31  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/byte-run.el (define-obsolete-face-alias): New macro.

	* apropos.el (apropos-symbols-internal):
	Handle (obsolete) face aliases.

	* faces.el (describe-face): Adjust the output format to be more like
	describe-variable, and to mention (obsolete) face aliases.
	Adjust the whitespace so that help-setup-xref works.

	* calendar/calendar.el (calendar-today-face, diary-face, holiday-face):
	* calendar/diary-lib.el (diary-button-face):
	Mark these face aliases as obsolete.

	* calendar/calendar.el (calendar-today): Doc fix.

2009-08-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-control-all-threads)
	(gdb-control-current-thread): Force tool bar update.
	(gdb-non-stop-handler): New function.
	(gdb-init-1): Use it to test if non-stop mode is supported.
	Remove unused gdbmi buffer type.

2009-08-30  Kevin Rodgers  <kevin.d.rodgers@gmail.com>

	* progmodes/grep.el (grep-read-files): Strip trailing <N> from
	buffer names not visiting a file (e.g. cloned buffers).  (Bug#4210)

2009-08-30  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-exec-1): Check command is non-null first.
	Part of gdb-mi.el change (2009-08-28).

2009-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (lisp-complete-symbol): Use minibuffer-complete.

2009-08-30  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (do-after-load-evaluation): Fix last change: use `mapc'
	instead of `dolist' to avoid a recursive require when bootstrapping.

2009-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/lisp.el (field-complete): Use minibuffer-complete.

	* net/ldap.el (ldap-search-internal): Use with-current-buffer and push.

	* net/imap.el (imap-send-command): Simplify.
	(imap-wait-for-tag): point-max -> buffer-size.

	* net/ange-ftp.el (internal-ange-ftp-mode): Use define-derived-mode.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Don't use symbol-value
	with constant argument.

	* emacs-lisp/debug.el (debugger-setup-buffer): Make it multibyte.

	* emacs-lisp/cl.el (cl-macro-environment): Don't define it here.

	* emacs-lisp/checkdoc.el (checkdoc-force-history-flag):
	Change default, since most of our files don't have a history.
	(checkdoc-display-status-buffer): Don't use a hidden buffer to show to
	the user.

	* emacs-lisp/bytecomp.el (byte-compile-interactive-only-functions):
	Add comint-run.

	* calc/calc.el: Improve commenting convention.
	(calc-digit-map, toplevel): Simplify.

	* comint.el (comint-insert-input): Be careful to only set point if we
	don't delegate to some other command.

	* proced.el (proced-signal-list): Make it an alist.
	(proced-grammar-alist): Capitalize names.
	(proced-send-signal): Use a non-hidden buffer (since it's displayed).
	Disable undo manually and make it read-only.
	Use completion-annotate-function.

	* minibuffer.el (minibuffer-message): If the current buffer is not
	a minibuffer, insert the message in the echo area rather than at the
	end of the buffer.
	(completion-annotate-function): New variable.
	(minibuffer-completion-help): Use it.
	(completion--embedded-envvar-table): Environment vars are
	always case-sensitive.

2009-08-30  Glenn Morris  <rgm@gnu.org>

	* progmodes/fortran.el (fortran-start-prog-re): New constant, extracted
	from fortran-current-defun.
	(fortran-beginning-of-subprogram): Be more precise about finding the
	start, to avoid an infinite loop in end-of-defun.  (Bug#4259)
	(fortran-end-of-subprogram): Simplify.
	(fortran-current-defun): Use fortran-start-prog-re.

2009-08-29  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (do-after-load-evaluation): Simplify.

2009-08-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-print-log-internal): Move RCS/CVS specific code ...

	* vc-rcs.el (vc-rcs-print-log-cleanup): ... here.  New function.
	(vc-rcs-print-log): Use it.

	* vc-cvs.el (vc-cvs-print-log): Use vc-rcs-print-log-cleanup.

2009-08-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* paths.el (abbrev-file-name): Move to abbrev.el.
	* abbrev.el (abbrev-file-name): Move from paths.el.
	Obey user-emacs-directory.
	* calc/calc.el (calc-settings-file): Don't autoload and instead obey
	user-emacs-directory.
	* dos-fns.el (dos-reevaluate-defcustoms): Don't reevaluate
	abbrev-file-name and calc-settings-file any more.
	* startup.el (command-line): Recompute abbrev-file-name and
	abbreviated-home-dir.
	(normal-no-mouse-startup-screen): Improve the generic code and get rid
	of the special code for when C-h bindings haven't been changed.
	(display-startup-echo-area-message): Use with-current-buffer.
	(command-line-1): Use a list of strings, rather than a list of lists
	of strings for longopts.

	* files.el (get-free-disk-space): Use / for default-directory.

	* textmodes/ispell.el (ispell-accept-output, ispell-command-loop):
	Use with-current-buffer.

	* emacs-lisp/bytecomp.el (byte-compile-const-symbol-p):
	Recognize immutable variables like most-positive-fixnum.
	(byte-compile-setq-default): Check and warn if trying to assign
	to an immutable variable, or a non-variable.

	* progmodes/cc-vars.el (c-comment-continuation-stars):
	* progmodes/cc-engine.el (c-looking-at-bos):
	* progmodes/cc-cmds.el (c-toggle-auto-state)
	(c-forward-into-nomenclature, c-backward-into-nomenclature)
	(c-comment-line-break-function): Add version of obsolescence.

2009-08-28  Juri Linkov  <juri@jurta.org>

	* files.el (magic-fallback-mode-alist): Add ZIP magic number
	associated with `archive-mode'.

	* image.el (image-type-header-regexps): Use only JPEG magic number
	to determine JPEG images, and don't use `image-jpeg-p' because
	Emacs can display non-JFIF non-Exif JPEG images.

2009-08-28  Juanma Barranquero  <lekktu@gmail.com>

	* arc-mode.el (archive-mode):
	* emacs-lisp/re-builder.el (re-builder-unload-function):
	Protect against the default value of `major-mode' being nil.

2009-08-28  Juanma Barranquero  <lekktu@gmail.com>

	* international/ucs-normalize.el (ucs-normalize-sort, quick-check-list):
	Fix typos in docstrings.

	* progmodes/js.el (js--macro-decl-re): Doc fix.
	(js--plain-method-re, js--split-name): Refloc docstring.
	(js--class-styles, js--make-merged-item, js--splice-into-items):
	Fix typos in docstrings; reflow docstrings.
	(js--maybe-join, js--function-prologue-beginning, js--flush-caches)
	(js--variable-decl-matcher, js--inside-pitem-p)
	(js--parse-state-at-point, js--get-all-known-symbols)
	(js--symbol-history, js-find-symbol, js--js-references)
	(js--moz-interactor, js--js-encode-value, js--read-tab):
	Fix typos in docstrings.

2009-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/reftex.el (reftex-get-file-buffer-force):
	* progmodes/verilog-mode.el (verilog-batch-execute-func):
	* emulation/viper.el (viper-go-away, viper-set-hooks):
	* emacs-lisp/re-builder.el (re-builder-unload-function):
	* emacs-lisp/bytecomp.el (byte-compile-file):
	* ses.el (ses-unload-function):
	* hexl.el (hexl-find-file):
	* files.el (normal-mode):
	* ehelp.el (with-electric-help):
	* autoinsert.el (auto-insert-alist):
	* arc-mode.el (archive-mode):
	Use (default-value 'major-mode) instead of default-major-mode.

	* textmodes/ispell.el (ispell-check-version, ispell-send-string):
	* international/mule.el (load-with-code-conversion):
	* emacs-lisp/debug.el (debug):
	* ediff-vers.el (ediff-rcs-get-output-buffer):
	* dired.el (dired-internal-noselect): Don't let-bind
	default-major-mode around code that doesn't use it.
	E.g. buffer creation via get-buffer-create doesn't use it.

2009-08-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (all): Replace "'(lambda" by "(lambda".
	(tramp-handle-file-local-copy): Unset `file-name-handler-alist'
	when writing the temp file.  Otherwise, epa-file gets confused.
	(tramp-register-file-name-handlers): Make it a defun.  Move also
	`epa-file-handler' to the front of `file-name-handler-alist'.

2009-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* net/tramp.el (tramp-shell-prompt-pattern): Allow a prompt to
	start right after a ^M.
	(tramp-root-regexp, tramp-completion-file-name-regexp-unified)
	(tramp-completion-file-name-regexp-separate)
	(tramp-completion-file-name-regexp-url): Use \\` and \\'.
	(tramp-handle-file-attributes, tramp-set-file-uid-gid):
	Don't modify last-coding-system-used by accident.
	(tramp-completion-file-name-handler): Apply the checks here,
	instead during registration.
	(tramp-register-file-name-handlers) Renamed from
	`tramp-register-file-name-handler'.  Register both
	`tramp-file-name-handler' and `tramp-completion-file-name-handler'.
	(tramp-register-completion-file-name-handler): Remove.  (Bug#4260)

2009-08-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-use-separate-io-buffer):
	Remove variable ...
	(gdb-init-1, gdb-display-separate-io-buffer)
	(gdb-frame-separate-io-buffer, gdb-setup-windows): ... and
	references to it.
	(gdb-inferior-io-mode): Use make-comint-in-buffer.
	(gdb-inferior-filter): Use comint-output-filter to stop
	echoing and remove ^M characters.

2009-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emulation/viper-init.el (viper-restore-cursor-type):
	* emulation/cua-base.el (cua--update-indications):
	Replace default-cursor-type with (default-value 'cursor-type).

	* mail/sendmail.el (mail-recover-1):
	* international/mule-diag.el (describe-current-coding-system-briefly)
	(describe-current-coding-system):
	* international/mule-cmds.el (select-safe-coding-system)
	(select-message-coding-system)
	(set-language-environment-coding-systems, set-locale-environment):
	* hexl.el (hexl-insert-multibyte-char):
	* dos-w32.el (find-buffer-file-type-coding-system):
	* simple.el (what-cursor-position):
	Replace uses of default-buffer-file-coding-system
	with (default-value 'buffer-file-coding-system).

	* emacs-lisp/edebug.el (edebug-display, edebug-outside-excursion):
	Replace uses of default-cursor-in-non-selected-windows
	with (default-value 'cursor-in-non-selected-windows).
	Use with-current-buffer.

	* mail/feedmail.el: Use CL macros.
	(feedmail-run-the-queue, feedmail-send-it-immediately):
	* dos-w32.el (find-buffer-file-type): Replace uses of
	default-buffer-file-type with (default-value 'buffer-file-type).

2009-08-28  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-list-entries, diary-goto-entry)
	(diary-show-all-entries, diary-mark-entries, diary-make-entry):
	Use default-value of major-mode rather than default-major-mode.

2009-08-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* Makefile.in (update-elcfiles): Report left over elc files.

	* mail/mailalias.el (build-mail-aliases): Use with-temp-buffer,
	expand-file-name and with-current-buffer.
	(mail-get-names, mail-directory): Use with-current-buffer.

	* vc.el (vc-read-revision): New function.
	(vc-version-diff, vc-merge): Use it.

2009-08-27  Sam Steingold  <sds@gnu.org>

	* simple.el (kill-do-not-save-duplicates): New user option.
	(kill-new): When it is non-nil, and the new string is the same as
	the latest kill, set replace to t to avoid duplicates in kill-ring.

2009-08-27  Julian Scheid  <julians37@gmail.com>  (tiny change)

	* net/tramp.el (tramp-handle-process-file): Do not flush all
	caches when `process-file-side-effects' is set.
	(tramp-handle-vc-registered): Use `tramp-get-file-exists-command'
	instead of `tramp-find-file-exists-command'.
	Unset `process-file-side-effects'.

2009-08-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-methods): New method "rsyncc".
	(top): Add completion function for "rsyncc".
	(tramp-message-show-message): New defvar.
	(tramp-message, tramp-error): Use it.
	(tramp-do-copy-or-rename-file-directly): Extend check for direct
	remote copying.
	(tramp-do-copy-or-rename-file-out-of-band): Handle new
	`tramp-methods' entry `copy-env' of "rsyncc".
	(tramp-vc-registered-read-file-names): New defconst.
	(tramp-vc-registered-file-names): New defvar.
	(tramp-handle-vc-registered): Implement optimization strategy.
	(tramp-run-real-handler): Add `tramp-vc-file-name-handler'.
	(tramp-vc-file-name-handler): New defun.
	(tramp-get-ls-command, tramp-get-test-command)
	(tramp-get-file-exists-command, tramp-get-remote-ln)
	(tramp-get-remote-perl, tramp-get-remote-stat)
	(tramp-get-remote-id): Remove superfluous `with-current-buffer'.

	* net/tramp-cache.el (top): Autoload `tramp-time-less-p'.
	(tramp-cache-inhibit-cache): Extend doc string.  It allows also
	timestamps.
	(tramp-get-file-property): Check for timestamps in
	`tramp-cache-inhibit-cache'.
	(tramp-set-file-property): Write timestamp.

2009-08-27  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* language/japan-util.el (japanese-symbol-table): Add entries for
	cp932-2-byte.

	* international/characters.el: Add category `j' to cp932-2-byte.

2009-08-27  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (build-default-fontset-data): New macro.
	(setup-default-fontset): Use build-default-fontset-data for CJK,
	tibetan, ethiopic, and ipa.

2009-08-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* cus-start.el (default-major-mode): Customize `major-mode' instead.
	(enable-multibyte-characters): Not customizable any more.

	* subr.el (default-mode-line-format, default-header-line-format)
	(default-line-spacing, default-abbrev-mode, default-ctl-arrow)
	(default-direction-reversed, default-truncate-lines)
	(default-left-margin, default-tab-width, default-case-fold-search)
	(default-left-margin-width, default-right-margin-width)
	(default-left-fringe-width, default-right-fringe-width)
	(default-fringes-outside-margins, default-scroll-bar-width)
	(default-vertical-scroll-bar, default-indicate-empty-lines)
	(default-indicate-buffer-boundaries, default-fringe-indicator-alist)
	(default-fringe-cursor-alist, default-scroll-up-aggressively)
	(default-scroll-down-aggressively, default-fill-column)
	(default-cursor-type, default-buffer-file-type)
	(default-cursor-in-non-selected-windows)
	(default-buffer-file-coding-system, default-major-mode)
	(default-enable-multibyte-characters): Mark as obsolete.

2009-08-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dir.el (vc-dir-update): Remove debug helper.

	* vc-cvs.el (vc-cvs-update-changelog): Fix typo.

2009-08-26  Sam Steingold  <sds@gnu.org>

	* simple.el (save-interprogram-paste-before-kill): New user option.
	(kill-new): When `save-interprogram-paste-before-kill' is non-nil,
	save the interprogram-paste into kill-ring before overriding it
	with the Emacs kill.

2009-08-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-trunk-p): Rename to vc-rcs-trunk-p and move to vc-rcs.el.
	(vc-minor-part): Rename to vc-rcs-minor-part and move to vc-rcs.el.
	(vc-default-previous-revision): Rename to vc-rcs-previous-revision
	and move to vc-rcs.el.
	(vc-default-next-revision): Rename to vc-rcs-next-revision and
	move to vc-rcs.el.
	(vc-cvs-update-changelog): Move to vc-cvs.el, use vc-call-backend.
	(vc-rcs-update-changelog): Remove.
	(vc-update-changelog-rcs2log): Rename to vc-rcs-update-changelog
	and move to vc-rcs.el.

	* vc-rcs.el (vc-rcs-latest-on-branch-p, vc-rcs-checkin)
	(vc-rcs-checkout, vc-rcs-rollback): Adjust for the vc-rcs-trunk-p
	renaming.
	(vc-rcs-trunk-p, vc-rcs-minor-part, vc-rcs-previous-revision)
	(vc-rcs-next-revision, vc-rcs-update-changelog): Move here from
	vc.el, renamed to be RCS specific.

	* vc-cvs.el (vc-cvs-previous-revision, vc-cvs-next-revision):
	New functions.
	(vc-cvs-update-changelog): Move here from vc.el.

	* vc-sccs.el (vc-sccs-previous-revision, vc-sccs-next-revision):
	New functions.

2009-08-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/bytecomp.el (byte-compile-lapcode): Fix up last change.

2009-08-26  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-register): Use "git add" for directories.
	(vc-git-stash, vc-git-stash-show): New functions.
	(vc-git-extra-menu-map): Bind them.

	* vc-dir.el (vc-dir-node-directory, vc-dir-update): Get the parent
	directory correctly in case the item is a directory itself.

	* vc.el: Document the desired behavior for reverted files in the
	`added' state.
	(vc-default-prettify-state-info): Remove function, unused.

	* vc-bzr.el (vc-bzr-prettify-state-info): Remove function, unused.

2009-08-26  Glenn Morris  <rgm@gnu.org>

	* bindings.el (standard-mode-line-format): Reposition dashes in
	which-func entry.  (Bug#4217)

	* files.el (enable-local-variables, enable-local-eval)
	(safe-local-variable-values, safe-local-eval-forms): Mark as risky in
	the defcustoms.
	(auto-mode-alist, ignored-local-variables)
	(save-some-buffers-action-alist): Move risky declarations to the
	definitions.
	(dabbrev-case-fold-search, dabbrev-case-replace, display-time-string)
	(font-lock-defaults, format-alist, imenu--index-alist)
	(imenu-generic-expression, input-method-alist, minor-mode-alist)
	(mode-line-buffer-identification, mode-line-client, mode-line-modes)
	(mode-line-modified, mode-line-mule-info, mode-line-position)
	(mode-line-process, mode-line-remote, outline-level)
	(parse-time-rules, rmail-output-file-alist)
	(special-display-buffer-names, vc-mode):
	Move risky declarations to the relevant files.
	* bindings.el (mode-line-client, mode-line-mule-info, mode-line-remote)
	(mode-line-modified, mode-line-process, mode-line-position)
	(mode-line-modes, mode-line-buffer-identification, minor-mode-alist)
	* font-core.el (font-lock-defaults):
	* format.el (format-alist):
	* vc-hooks.el (vc-mode):
	* window.el (special-display-buffer-names):
	* international/mule-cmds.el (input-method-alist):
	Define riskiness here (dumped file) rather than in files.el.
	* dabbrev.el (dabbrev-case-fold-search, dabbrev-case-replace):
	* imenu.el (imenu-generic-expression, imenu--index-alist):
	* outline.el (outline-level):
	* time.el (display-time-string):
	* calendar/parse-time.el (parse-time-rules):
	* mail/rmailout.el (rmail-output-file-alist):
	Autoload riskiness here, rather than placing in files.el.

2009-08-26  Andreas Schwab  <schwab@linux-m68k.org>

	* emacs-lisp/bytecomp.el (byte-compile-lapcode): Signal overflow.

2009-08-25  Michael Albinus  <michael.albinus@gmx.de>

	* simple.el (process-file-side-effects): New defvar.

	* dired-aux.el (dired-show-file-type):
	* vc.el (vc-diff-internal):
	* vc-arch.el (vc-arch-diff):
	* vc-bzr.el (vc-bzr-sha1, vc-bzr-revision-completion-table):
	* vc-cvs.el (vc-cvs-state, vc-cvs-diff, vc-cvs-revision-table):
	* vc-git.el (vc-git-registered, vc-git-working-revision)
	(vc-git-find-revision, vc-git-diff, vc-git-revision-table)
	(vc-git--empty-db-p):
	* vc-hooks.el (vc-user-login-name):
	* vc-svn.el (vc-svn-registered, vc-svn-state)
	(vc-svn-dir-extra-headers, vc-svn-find-revision):
	* progmodes/grep.el (grep-probe): Let-bind
	`process-file-side-effects' with nil.

	* net/dbus.el (dbus-ping): Add optional parameter TIMEOUT.

	* net/tramp-gvfs.el (top): Use timeout of 100 msec pinging GVFS
	daemon.  Replace ping by checking for running service for bluez
	and zeroconf.  (Bug#4239)

2009-08-25  Kevin Ryde  <user42@zip.com.au>

	* net/dig.el (dig): Add autoload cookie.

2009-08-25  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-eval): Fix test for cl in
	load-history for absolute file-names.
	(byte-compile-file-form-require): Warn about use of the cl package.

	* format.el (format-alist): Doc fix.

	* play/bubbles.el (top-level): Don't require cl at run-time.

	* progmodes/verilog-mode.el (top-level): Don't require lucid (and hence
	run-time cl).

2009-08-24  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-mapcar*): Replacement for `mapcar*'
	from cl package.
	(gdb-table-add-row, gdb-table-string): Use `gdb-mapcar*'.

2009-08-24  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-alg.el (math-trig-rewrite)
	(math-hyperbolic-trig-rewrite): New functions.
	(calc-simplify): Simplify trig functions when asked.

2009-08-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-find-source-location): Avoid goto-line.

2009-08-24  Kenichi Handa  <handa@m17n.org>

	* language/ind-util.el (mapthread): Delete it.
	(combinatorial): New function.
	(indian--puthash-cv): Use combinatorial instead of mapthread.

2009-08-22  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/checkdoc.el (checkdoc-force-history-flag)
	(checkdoc-arguments-in-order-flag): Add safe-local-variable booleanp.
	(checkdoc-symbol-words): Add safe-local-variable for list of strings.
	Clarify docstring that the value is strings not symbols.
	(checkdoc-list-of-strings-p): New function.

2009-08-22  Glenn Morris  <rgm@gnu.org>

	* files.el (auto-mode-alist):
	* hippie-exp.el (he-concat-directory-file-name):
	* lpr.el (lpr-windows-system, printer-name):
	* ls-lisp.el (ls-lisp-emulation, ls-lisp-use-insert-directory-program):
	* ps-print.el (ps-windows-system):
	* startup.el (command-line):
	* emulation/viper-ex.el (viper-glob-function):
	* international/mule-cmds.el (set-language-environment-coding-systems):
	* net/ange-ftp.el (ange-ftp-write-region):
	* obsolete/fast-lock.el (fast-lock-cache-name):
	Remove code for defunct system-types emx, macos, mswindows, next-mach,
	unisoft-unix, vax-vms, win32, w32.

	* calendar/diary-lib.el (diary-mark-entries-1): Only mark all days of a
	given name if the pattern is not more specific.

	* calendar/lunar.el (lunar-phase-names): New option.
	(lunar-phase): Doc fix.
	(lunar-cycles-per-year): New constant.
	(lunar-index): New function.
	(lunar-phase-list, diary-lunar-phases): Use lunar-index.
	(lunar-phase-name): Use lunar-phase-names.
	(calendar-lunar-phases): Use format.
	(lunar-new-moon-on-or-after): Use lunar-cycles-per-year.

	* progmodes/cperl-mode.el (cperl-imenu-name-and-position):
	Copy imenu-example--name-and-position function here for own use.
	(cperl-xsub-scan): Use cperl-imenu-name-and-position.

	* bs.el (bs--redisplay):
	* cus-edit.el (custom-redraw):
	* ibuffer.el (ibuffer-bury-buffer):
	* server.el (server-goto-line-column):
	* startup.el (command-line-1):
	* strokes.el (strokes-xpm-for-stroke):
	* term.el (term-display-buffer-line):
	* view.el (View-goto-line):
	* calc/calc.el (calc-do, calc-trail-buffer):
	* play/gamegrid.el (gamegrid-add-score-insecure):
	* progmodes/ada-mode.el (ada-compile-goto-error):
	* progmodes/ada-xref.el (ada-xref-find-in-modified-ali):
	(ebrowse-select-1st-to-9nth):
	* progmodes/cperl-mode.el (cperl-time-fontification):
	* progmodes/ebrowse.el (ebrowse-toggle-file-name-display)
	* progmodes/gud.el (gud-display-line):
	(idlwave-shell-display-line):
	* progmodes/idlw-shell.el (idlwave-shell-goto-frame)
	* progmodes/make-mode.el (makefile-browser-toggle):
	(vhdl-speedbar-port-copy, vhdl-compose-components-package):
	* progmodes/vhdl-mode.el (vhdl-speedbar-find-file)
	* textmodes/picture.el (picture-draw-rectangle):
	* textmodes/reftex-index.el (reftex-index-goto-letter):
	(reftex-select-jump-to-previous):
	* textmodes/reftex-sel.el (reftex-find-start-point)
	* textmodes/reftex-toc.el (reftex-toc, reftex-toc-restore-region):
	(rst-straighten-deco-spacing, rst-section-tree, rst-toc):
	* textmodes/rst.el (rst-promote-region, rst-straighten-decorations)
	* textmodes/tex-mode.el (tex-compilation-parse-errors):
	* textmodes/two-column.el (2C-associated-buffer):
	Use forward-line rather than goto-line.

	* emulation/vi.el (vi-goto-line): Don't warn about non-interactive
	goto-line.

	* international/ucs-normalize.el (nfd, decomposition-translation-alist)
	(decomposition-char-recursively, alist-list-to-vector, quick-check-list)
	(quick-check-list-to-regexp): Declare.

	* progmodes/make-mode.el (makefile-browser-insert-selection):
	Use goto-char rather than goto-line.

	* progmodes/prolog.el (compilation-error-regexp-alist)
	(compilation-forget-errors): Declare.

2009-08-22  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (lgrep, rgrep): At the beginning
	set `dir' to `default-directory' unless `dir' is a non-nil
	readable directory.  (Bug#4052)
	(lgrep, rgrep): Change a weird way to report an error
	from using `read-string' to using `error'.
	Instead of using interactive arguments in the function body,
	add new argument `confirm'.

2009-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/remember.el (remember-buffer):
	* progmodes/cperl-mode.el (cperl-vc-header-alist):
	* calendar/icalendar.el (icalendar-convert-diary-to-ical)
	(icalendar-extract-ical-from-buffer):
	* net/newst-treeview.el (newsticker-groups-filename):
	* net/newst-backend.el (newsticker-cache-filename):
	* speedbar.el (speedbar-update-speed, speedbar-navigating-speed)
	(speedbar-ignored-path-expressions, speedbar-ignored-path-regexp)
	(speedbar-add-ignored-path-regexp, speedbar-line-path)
	(speedbar-buffers-line-path, speedbar-path-line)
	(speedbar-buffers-line-path):
	* epg.el (epg-passphrase-callback-function, epg-start-sign-keys)
	(epg-sign-keys):
	* epa.el (epa-display-verify-result):
	* progmodes/pascal.el (pascal-outline): Add version of obsolescence.

2009-08-21  Glenn Morris  <rgm@gnu.org>

	* progmodes/js.el (inferior-moz-process): Fix declaration.

	* imenu.el (imenu-example--name-and-position): Fix obsolescence message.

	* obsolete/rnewspost.el (news-mail-reply):
	Use goto-char rather than goto-line.

	* term/ns-win.el (ns-open-file-select-line):
	Use line-beginning-position rather than goto-line.

	* apropos.el (apropos-command):
	* ehelp.el (electric-helpify):
	* printing.el (pr-show-setup):
	* strokes.el (strokes-help):
	* tutorial.el (tutorial--describe-nonstandard-key)
	(tutorial--detailed-help):
	* woman.el (woman-mini-help, woman-display-extended-fonts):
	* calc/calc-help.el (calc-describe-key):
	* emulation/edt.el (edt-electric-helpify):
	* international/mule-diag.el (mule-diag):
	* play/yow.el (apropos-zippy):
	* progmodes/python.el (python-describe-symbol):
	* progmodes/vhdl-mode.el (vhdl-doc-variable, vhdl-doc-mode):
	* textmodes/table.el (*table--cell-describe-mode)
	(*table--cell-describe-bindings):
	Use help-print-return-message rather than the now obsolete alias.

	* calendar/cal-move.el (calendar-cursor-to-nearest-date)
	(calendar-cursor-to-visible-date):
	* play/5x5.el (5x5-position-cursor):
	* play/decipher.el (decipher):
	* play/gomoku.el (gomoku-goto-xy):
	* play/landmark.el (lm-goto-xy):
	* play/mpuz.el (mpuz-paint-errors, mpuz-paint-statistics)
	(mpuz-paint-digit):
	Use forward-line, not goto-line.

	* mail/rmail.el (rmail-obsolete): Delete custom group.
	(rmail-pop-password, rmail-pop-password-required): Make into aliases.
	(rmail-remote-password, rmail-remote-password-required):
	Remove unneeded :set-after and :set properties.

2009-08-21  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (top): Initialize only when `dbusbind' is loaded.

2009-08-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* loadup.el: Remove leftover macos code.

	* vc-git.el (vc-git-annotate-command): Run asynchronously.
	Explicitly pass the date format to git blame so that user local
	so that the output format can be parsed.

2009-08-20  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (top): Don't check for (getenv
	"DBUS_SESSION_BUS_ADDRESS").  It's done in dbusbind.c now.

2009-08-19  Magnus Henoch  <magnus.henoch@gmail.com>

	* log-edit.el (log-edit-strip-single-file-name): New var.
	(log-edit-insert-changelog): Use it.  Bug#3571

2009-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (read-passwd): Use read-key so keypad keys work as well.
	Bug#3287

	* help.el (help-print-return-message): Rename from
	print-help-return-message.

	* log-view.el (log-view-mode-map): Remove `q' binding, and unreliable
	cvs-mode-map parent hack.
	(log-view-mode): Derive from special-mode.

	* linum.el (linum-mode): window-size-change-functions is redundant.
	Adapt to new window-configuration-change-hook behavior.
	(linum-after-size, linum-after-config): Remove.

	* imenu.el (imenu-example--name-and-position)
	(imenu-example--lisp-extract-index-name)
	(imenu-example--create-lisp-index, imenu-example--create-c-index):
	Mark as obsolete.

	* progmodes/prolog.el (inferior-prolog-error-regexp-alist): New var.
	(inferior-prolog-mode): Use it.
	(inferior-prolog-load-file): Reset list of errors.

2009-08-19  ARISAWA Akihiro  <ari@mbf.ocn.ne.jp>  (tiny change)

	* language/tibetan.el ("Tibetan"): Fix sample-text entry.

	* language/tai-viet.el ("TaiViet"): Fix sample-text entry.

2009-08-19  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (top): Apply `dbus-init-bus' only if the session bus
	is running already.

2009-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* subr.el (listify-key-sequence-1): Use normal syntax since those
	integers are nowadays always represented by the same (positive) number
	on all platforms.
	(read-key-empty-map): New const.
	(read-key-delay): New var.
	(read-key): New function.
	(force-mode-line-update): Use with-current-buffer.
	(locate-user-emacs-file): Don't forget to abbreviate the file name.
	(start-process-shell-command, start-file-process-shell-command):
	Discourage the use of command-args.

2009-08-19  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-fixed-entries): Remove cvtmail.

2009-08-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (choose-completion-string): Don't rely on
	minibuffer-completing-file-name and ad-hoc checks to decide whether
	to continue completion or not.

	* minibuffer.el (minibuffer-hide-completions): New function.
	(completion--do-completion): Use it.
	(completions-annotations): New face.
	(completion--insert-strings): Use it.
	(completion-pcm--delim-wild-regex): Add docstring.
	(completion-pcm--string->pattern): Add support for 0-width delimiters
	in completion-pcm--delim-wild-regex.

2009-08-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/ucs-normalize.el (ucs-normalize-hfs-nfd-post-read-conversion):
	Remove unused var `buffer-modified-p'.

	* minibuffer.el (completion--do-completion): Move point for the #b001
	case as well (bug#4176).
	(minibuffer-complete, minibuffer-complete-word): Don't move point.

2009-08-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-init-bus): Declare.  Apply it for the :system
	and :session buses.

2009-08-18  Kenichi Handa  <handa@m17n.org>

	* international/ucs-normalize.el (ucs-normalize-version):
	Change to 1.1.
	(ucs-normalize-hfs-nfd-pre-write-conversion): New function.
	(utf-8-hfs): Make it perform normalization on encoding too.

	* textmodes/paragraphs.el: Change to utf-8.  Adjust coding cookie.
	(sentence-end-without-space): Delete duplicated chars.
	(sentence-end-base): Likewise.

	* textmodes/sgml-mode.el: Change to utf-8.  Adjust coding cookie.
	(html-mode): Delete duplicated chars from sentence-end-base.

	* textmodes/texinfo.el: Change to utf-8.  Adjust coding cookie.
	(texinfo-mode): Delete duplicated chars from sentence-end-base.

2009-08-17  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-one-local-variable): If the mode function is for
	a minor mode, pass it an argument (Bug#4148).

2009-08-17  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-completion-file-name-handler):
	Check also for (member 'partial-completion completion-styles).

2009-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cperl-mode.el (cperl-electric-paren): Don't expand
	abbrev (Bug#3943).

2009-08-16  Ilya Zakharevich  <ilyaz@cpan.org>

	* progmodes/cperl-mode.el: Merge upstream 6.2.
	(cperl-mode-syntax-table): Modify syntax entry for ["'`].
	(cperl-forward-re): Check cperl-brace-recursing.
	(cperl-highlight-charclass): New function.
	(cperl-find-pods-heres): Use it.
	(cperl-fill-paragraph): Synch to save-excursion placement used upstream.
	(cperl-beautify-regexp-piece): Fix column calculation.
	(cperl-make-regexp-x): Handle case where point is between "q" and "rs".
	(cperl-beautify-level): Don't process entire regexp.
	(cperl-build-manpage, cperl-perldoc): Bind Man-switches before
	calling man.
	(cperl-tips-faces, cperl-mode, cperl-electric-backspace): Doc fix.
	(cperl-init-faces): Build a list in the normal way.

2009-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* calendar/parse-time.el (parse-time-string-chars): Save match
	data.

2009-08-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sql.el (sql-product-alist): Add :name tag to entries.
	(sql-product): Use it.
	(sql-mode-menu): Auto-generate the menu based on sql-product-alist.
	(sql-set-product): Add completion.
	(sql-highlight-oracle-keywords, sql-highlight-postgres-keywords)
	(sql-highlight-linter-keywords, sql-highlight-ms-keywords)
	(sql-highlight-ansi-keywords, sql-highlight-sybase-keywords)
	(sql-highlight-informix-keywords, sql-highlight-interbase-keywords)
	(sql-highlight-ingres-keywords, sql-highlight-solid-keywords)
	(sql-highlight-mysql-keywords, sql-highlight-sqlite-keywords)
	(sql-highlight-db2-keywords): Remove.
	(sql-find-sqli-buffer, sql-set-sqli-buffer-generally)
	(sql-highlight-product): Use derived-mode-p.
	(sql-set-sqli-buffer): Use with-current-buffer.
	(sql-connect-informix, sql-connect-ingres, sql-connect-oracle):
	Simplify.

	* emacs-lisp/lisp-mode.el (lisp-indent-region): Remove unused function.

	* term.el: Fix commenting convention, turn comments into docstrings.

2009-08-16  E. Jay Berkenbilt  <ejb@ql.org>  (tiny change)

	* whitespace.el (whitespace-style): Doc fix (Bug#3661).

2009-08-16  Jan Seeger  <jan.seeger@thenybble.de>  (tiny change)

	* calendar/parse-time.el (parse-time-string-chars): Compute using
	character classes, to handle non-ascii characters (Bug#3190).

2009-08-16  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/sh-script.el (sh-maybe-here-document): Avoid inserting
	another heredoc if the user adds another < (Bug#3226).

	* mwheel.el (mouse-wheel-down-event, mouse-wheel-up-event):
	Don't initialize based on window-system (Bug#4124).

	* facemenu.el (facemenu-read-color): Use a completion function
	that accepts any defined color, such as RGB triplets (Bug#3677).

	* files.el (get-free-disk-space): Change fallback default
	directory to /.  Expand DIR argument before switching to fallback.
	Suggested by Kevin Ryde (Bug#2631, Bug#3911).

2009-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (load-library): Doc fix.

2009-08-15  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-insert-isearch-string): New function.
	(viper-if-string): Redefine C-s in the minibuffer to insert the last
	incremental search string.

	* ediff-init.el (ediff-coding-system): Use escape-quoted in case of
	XEmacs.

	* ediff-merg.el (ediff-merge-region-is-non-clash-to-skip)
	(ediff-merge-region-is-non-clash)
	(ediff-skip-merge-region-if-changed-from-default-p): Use defun.
	Also check if the job is really a merge job.

	* ediff.el (ediff-current-file): New function.

2009-08-15  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el: Edit docstrings throughout to follow Emacs
	conventions.
	(js-insert-and-indent): Delete function.
	(js-mode-map): Don't bind keys to js-insert-and-indent.
	(js-beginning-of-defun): Rename from js--beginning-of-defun.
	(js-end-of-defun): Rename from js--end-of-defun.
	(js-auto-indent-flag): Delete variable.

2009-08-14  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/js.el: Remove proclaim statement.
	Defvar which-func-imenu-joiner-function to silence compiler.

	* files.el (auto-mode-alist): Use js-mode for .js files.

	* progmodes/js2-mode.el: Remove file.

	* Makefile.in (ELCFILES): Add js.el, and remove js2-mode.el.

	* speedbar.el (speedbar-supported-extension-expressions): Add .js.

	* progmodes/hideshow.el (hs-special-modes-alist): Add js-mode entry.

2009-08-14  Daniel Colascione  <dan.colascione@gmail.com>
	    Karl Landstrom  <karl.landstrom@brgeight.se>

	* progmodes/js.el: New file.

2009-08-14  Mark A. Hershberger  <mah@everybody.org>

	* timezone.el (timezone-parse-date): Add ability to understand ISO
	basic format (minimal separators) dates in addition to the
	already-supported extended format dates.

2009-08-14  Eli Zaretskii  <eliz@gnu.org>

	* international/ucs-normalize.el: Add a `coding' file variable.

	* Makefile.in (ELCFILES): Add international/ucs-normalize.elc.

2009-08-14  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-merge-news): Yet another fix of message parsing.

2009-08-13  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (help-argument-name): Define it here instead of
	help-fns.el, because in daemon mode help-fns.el may be loaded when
	faces are still uninitialized (Bug#1078).

	* help-fns.el (help-argument-name): Move defface to faces.el.

2009-08-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-inferior-io-mode): Use start-process to
	create buffer with a pty but no process so that GDB can make the
	inferior the controlling process.

2009-08-13  Taichi Kawabata  <kawabata.taichi@gmail.com>

	* international/ucs-normalize.el: New file.

2009-08-13  Richard Stallman  <rms@gnu.org>

	* mail/rmail.el (rmail-get-attr-names):
	Accept an attribute header that is too short.

	* mail/rmail.el (rmail-forget-messages):
	Ignore nil elt in rmail-message-vector.  Use dotimes.

	* progmodes/compile.el (compilation-goto-locus):
	Use next-error-move-function.

	* simple.el (next-error-move-function): New variable.

2009-08-12  Juri Linkov  <juri@jurta.org>

	* progmodes/grep.el (lgrep): Ensure that `default-directory' is
	always non-nil.  (Bug#4052)

	* replace.el (read-regexp): Return empty string when
	`default-value' is nil.
	(keep-lines-read-args): Don't use empty string as the
	default value for `read-regexp'.  (Bug#2495)

2009-08-12  Juri Linkov  <juri@jurta.org>

	* international/mule-cmds.el (ucs-insert): Change arguments
	from `arg' to `character', `count', `inherit' to be the same
	as in `insert-char'.  Doc fix.  (Bug#4039)

	* international/mule-conf.el (utf-16be-with-signature): Doc fix.

2009-08-12  Juri Linkov  <juri@jurta.org>

	* files-x.el: New file.

	* files.el: Move code that deals with adding/deleting
	file/directory-local variables to files-x.el.

	* Makefile.in (ELCFILES): Add files-x.elc.

2009-08-11  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-line-posns): New helper which helps not
	to use `goto-line'.
	(gdb-place-breakpoints, gdb-get-location): Rewritten without
	`goto-line'.
	(gdb-invalidate-disassembly): Do not refresh upon receiving
	'update signal.  Instead, update all disassembly buffers only after
	threads list.
	(gdb): Send -target-detach when buffer is killed (Bug#3794).
	(gdb-starting): Moved -data-list-register-names...
	(gdb-stopped): ...here so it's sent when first thread stops.
	(gdb-registers-handler-custom): Do nothing if register names are
	unknown yet.

	* progmodes/gud.el (gud-stop-subjob): Rewritten without macros
	from `gdb-mi.el' to avoid extra tangling.

	* progmodes/gdb-mi.el (gdb-gud-context-call): Reverting previous
	change which breaks `gud-def' definitions used in `gdb'.
	(gdb-update-gud-running): No extra fuss for updating frame number.

2009-08-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* international/mule-cmds.el (mule-keymap, mule-menu-keymap)
	(describe-language-environment-map, setup-language-environment-map)
	(set-coding-system-map): Move initialization into declaration.
	(set-language-info-alist): Last arg to define-key-after can be skipped.

	* international/quail.el (quail-completion-1): Simplify.
	(quail-define-rules): Use slightly more compact code.
	(quail-insert-decode-map): Propertize keys, compact columns.

	* emacs-lisp/bytecomp.el (byte-compile-interactive-only-functions):
	Add goto-line.

2009-08-10  Miles Bader  <miles@gnu.org>

	* progmodes/js2-mode.el (js2-warning, js2-error, js2-jsdoc-tag)
	(js2-jsdoc-type, js2-jsdoc-value, js2-function-param)
	(js2-instance-member, js2-private-member, js2-private-function-call)
	(js2-jsdoc-html-tag-name, js2-jsdoc-html-tag-delimiter)
	(js2-magic-paren, js2-external-variable):
	Remove "-face" suffix from face names.
	(js2-jsdoc-highlight-helper, js2-highlight-jsdoc)
	(js2-highlight-undeclared-vars, js2-peek-token)
	(js2-parse-function-params, js2-mode-show-errors)
	(js2-mode-show-warnings, js2-make-magic-delimiter)
	(js2-mode-highlight-magic-parens): Update to use new face names.

2009-08-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-get-ls-command-with-dired): New defun.
	(tramp-handle-insert-directory): Handle "--dired".  (Bug#4075)

2009-08-09  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el: Provide hashtable-print-readable.

	* progmodes/hideshow.el (hs-special-modes-alist): Don't use
	hs-c-like-adjust-block-beginning.
	(hs-hide-block-at-point): Stop hiding at the beginning of
	hs-block-end-regexp (Bug#700).

2009-08-09  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-gud-context-call): Does not need to be
	a macro.
	(gdb-registers-handler-custom): Do not fail when register names
	are unavailable.

2009-08-08  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-control-all-threads)
	(gdb-control-current-thread): Interactive setters for
	`gdb-gud-control-all-threads' to use in menu.
	(gdb-show-run-p): Show «Go» when process is not active.
	(gud-tool-bar-map): Add non-stop/A,T indicator.  Uses
	gud/thread.xpm and gud/all.xpm.

2009-08-08  Yoni Rabkin  <yoni@rabkins.net>

	* net/net-utils.el (net-utils-font-lock-keywords): New var.
	(nslookup-font-lock-keywords): Make it a variable.
	(net-utils-mode): New mode for viewing diagnostic network output.
	(net-utils-remove-ctrl-m-filter): Set inhibit-read-only.
	(net-utils-run-simple): New function.
	(ifconfig, iwconfig, netstat, arp, route): Use it.

2009-08-08  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-read-memory-custom)
	(gdb-memory-set-address, def-gdb-set-positive-number)
	(def-gdb-memory-format, def-gdb-memory-unit): Update memory buffer
	after changing settings.
	(gdb-invalidate-disassembly): Update when first shown.
	(gdb-edit-locals-value): Fixed.
	(gdb-registers-handler-custom): Print registers in right order and
	allow changing register values (only for current thread yet).
	(gdb-breakpoints-mode-map): Don't assume threads buffer is present.
	(gdb-threads-mode-map): Don't assume breakpoints buffer is present.
	(gdb-disassembly-handler-custom, gdb-stack-list-frames-custom)
	(gdb-locals-handler-custom, gdb-registers-handler-custom): Thread
	info in mode name.
	(gdb-registers-mode-map): TAB to switch to locals.

2009-08-08  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-add-mbox-headers)
	(rmail-set-message-counters-counter): Search for
	rmail-unix-mail-delimiter instead of just "From ".  (Bug#4076)

2009-08-08  Glenn Morris  <rgm@gnu.org>

	* Makefile.in (ELCFILES): Update.

2009-08-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/sendmail.el (mail-yank-original): Set
	buffer-file-coding-system from the one used by the message whose
	text is yanked.

	* calc/calc-graph.el (calc-graph-plot): Set calc-graph-last-device
	to "windows" when "pgnuplot" is used.
	(calc-graph-command, calc-gnuplot-command, calc-graph-init): Don't
	call accept-process-output if "pgnuplot" is used.
	(calc-graph-init): Don't send -display and -geometry to
	"pgnuplot".  If "pgnuplot" is used, glean gnuplot version by
	running "pgnuplot -V" with shell-command-to-string.

	* calc/calc.el (calc-gnuplot-name) [windows-nt]: Use "pgnuplot" as
	the default.

2009-08-07  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.in (ELCFILES): org/org-export-latex.elc renamed to
	org/org-latex.elc.

2009-08-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (vc-resynch-window): Update comment.

	* term.el (term-handle-ansi-escape): Add comments with the
	terminfo capabilities implemented.

2009-08-06  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-var-create-regexp): Removed.
	(gdb-var-create-handler): Rewritten using JSON parser.
	(gdb-propertize-header): Moved earlier.
	(gdb-set-header): Removed to avoid duplication.
	(gdb-thread-list-handler-custom, gdb-invalidate-disassembly):
	Refresh disassembly buffers only after threads list have been
	update.
	(gdb-threads-header, gdb-registers-header): Per-buffer header line
	variables.

2009-08-04  Juri Linkov  <juri@jurta.org>

	* files.el: Commands to add/delete file/directory-local variables.
	(read-file-local-variable, read-file-local-variable-value)
	(read-file-local-variable-mode, modify-file-local-variable)
	(modify-file-local-variable-prop-line)
	(modify-dir-local-variable): New functions.
	(add-file-local-variable, delete-file-local-variable)
	(add-file-local-variable-prop-line, delete-file-local-variable-prop-line)
	(add-dir-local-variable, delete-dir-local-variable)
	(copy-file-locals-to-dir-locals, copy-dir-locals-to-file-locals)
	(copy-dir-locals-to-file-locals-prop-line): New commands.

2009-08-04  Chong Yidong  <cyd@stupidchicken.com>

	* abbrev.el (insert-abbrev-table-description): Prettify output.
	Suggested by Karl Chen.

2009-08-04  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-frame-number): Initialize with nil.
	(gdb-overlay-arrow-position): Rename to `gdb-disassembly-position'.
	(gdb-overlay-arrow-position, gdb-thread-position)
	(gdb-disassembly-position): Declare variables.
	(gdb-wait-for-pending): Function now.
	(gdb-add-subscriber, gdb-delete-subscriber, gdb-get-subscribers)
	(gdb-emit-signal, gdb-buf-publisher): Declare before first use so
	compilation goes smoothly.
	(gdb, gdb-non-stop, gdb-buffers): New customization groups.
	(gdb-non-stop-setting): New customization setting which replaces
	`gdb-non-stop' so changing it doesn't break active GDB session.
	(gdb-stack-buffer-locations, gdb-stack-buffer-addresses)
	(gdb-thread-buffer-verbose-names, gdb-thread-buffer-arguments)
	(gdb-thread-buffer-locations, gdb-thread-buffer-addresses)
	(gdb-show-threads-by-default): New customization options.
	(gdb-buffer-type, gdb-buffer-shows-main-thread-p): New helper
	routines.
	(gdb-get-buffer-create): Send buffers update signal when they are
	created.
	(gdb-invalidate-locals, gdb-invalidate-registers)
	(gdb-invalidate-breakpoints)
	(gdb-invalidate-threads, gdb-invalidate-disassembly)
	(gdb-invalidate-memory): Accept update signal.
	(gdb-current-context-command): Use --frame option.
	(gdb-update-gud-running, gdb-running, gdb-setq-thread-number):
	Implement `gdb-frame-number' selection logic.
	(gdb-show-run-p, gdb-show-stop-p): Helper functions which decide
	whether to show GUD toolbar buttons.
	(gdb-thread-exited): Unselect current thread when it exits.
	(gdb-stopped): Typo fixed (now really runs `gdb-stopped-hooks').
	(gdb-mark-line): Routine which sets overlay arrow or inverses
	video on fringeless displays.
	(gdb-table, gdb-table-add-row, gdb-table-string): Structure used
	to build aligned columns of data in GDB buffers and set text
	properties line-by-line.
	(gdb-invalidate-breakpoints)
	(gdb-breakpoints-list-handler-custom)
	(gdb-thread-list-handler-custom, gdb-disassembly-handler-custom)
	(gdb-stack-list-frames-custom, gdb-locals-handler-custom)
	(gdb-registers-handler-custom): Align data columns.
	(gdb-locals-handler-custom): Now prints data like in variable
	declarations.
	(gdb-jump-to, gdb-file-button, gdb-insert-file-location-button):
	Removed confusing buttons.
	(gdb-invalidate-threads): Append --frame.
	(gdb-threads-mode-map, gdb-breakpoints-mode-map): TAB to switch
	between breakpoints/threads buffers.
	(gdb-set-window-buffer): Now can ignore dedicated windows.
	(gdb-propertize-header): Use `gdb-set-window-buffer'.
	(def-gdb-thread-buffer-simple-command): Numerous typos fixed.
	(def-gdb-thread-buffer-gud-command): Replaces
	`def-gdb-thread-buffer-gdb-command' and uses standard GUD commands
	for fine thread control.
	(gdb-preempt-existing-or-display-buffer): New function used to
	display bound buffers without breaking window layout.
	(gdb-frame-location): Replaces `gdb-insert-frame-location'.
	(gdb-select-frame): New version of `gdb-frames-select' which now
	sets `gdb-frame-number' so commands may use --frame option instead
	of inner debugger state.
	(gdb-frame-handler): Do not set `gdb-frame-number'.
	(gdb-threads-mode-map): Select threads with mouse.

	* progmodes/gud.el (gdb-gud-context-call): Declare function to
	avoid compilation warning.
	(gud-menu-map, gud-minor-mode-map): Use `gdb-show-run-p` and
	`gdb-show-stop-p`.

	* progmodes/gdb-mi.el (gdb-get-buffer, gdb-get-buffer-create):
	Argument `key' renamed to `buffer-type'.
	(gdb-current-context-buffer-name): Do not add thread info to
	buffer name when no thread is selected.
	(gdbmi-record-list, gdb-shell): Try to handle GDB `shell'
	command (bug 3794).
	(gdb-thread-selected): Handle `=thread-selected' notification.
	(gdb-wait-for-pending): New macro to deal with congestion problems.
	(gdb-breakpoints-list-handler-custom): Don't fail on pending
	breakpoints.
	(gdb-invalidate-disassembly): Use 'fullname instead of 'file.
	This fixes problem similar to one described in bug 3947.
	(gud-menu-map): More menu items.
	(gdb-init-1): Reset `gdb-thread-number' to nil.

	* progmodes/gud.el (gud-stop-subjob, gud-menu-map): Respect GDB
	non-stop settings.

	* progmodes/gdb-mi.el (gdb-thread-number): Initialize with nil.
	(gdb-current-context-command): Do not append --thread if
	`gdb-thread-number' is nil.
	(gdb-running-threads-count, gdb-stopped-threads-count): New
	variables.
	(gdb-non-stop, gdb-gud-control-all-threads, gdb-switch-reasons)
	(gdb-stopped-hooks, gdb-switch-when-another-stopped): New
	customization options.
	(gdb-gud-context-command, gdb-gud-context-call): New wrappers for
	GUD commands.
	(gdb): `gud-def' definitions changed to use `gdb-gud-context-call'.
	(gdb-init-1): Activate non-stop mode if `gdb-non-stop' is enabled.
	(gdb-setq-thread-number, gdb-update-gud-running): New functions to
	set `gdb-thread-number' and update `gud-running' properly.
	(gdb-running): Update threads list when new threads appear.
	(gdb-stopped): Support non-stop operation and new thread switching
	logic.
	(gdb-jsonify-buffer, gdb-json-read-buffer, gdb-json-string)
	(gdb-json-partial-output): New set of JSON routines.
	(def-gdb-auto-update-trigger): New `signal-list' optional
	argument.
	(gdb-thread-list-handler-custom): Update `gud-running',
	`gdb-stopped-threads-count' and `gdb-running-threads-count'.
	(def-gdb-thread-buffer-gdb-command, gdb-interrupt-thread)
	(gdb-continue-thread, gdb-step-thread): New commands for fine
	thread execution control.
	(gud-menu-map): New menu items to switch non-stop options.
	(gdb-reset): Cleanup `gdb-thread-position' overlay arrow marker.
	(gdb-send): Mimic RET properly (bug 3794).

	* progmodes/gdb-mi.el (gdb-rules-name-maker)
	(gdb-rules-buffer-mode, gdb-rules-update-trigger): Accessors for
	gdb-buffer-rules.
	(def-gdb-auto-update-handler): New nopreserve optional argument.
	(gdb-stack-list-frames-custom): Print stack from top to bottom.

	* progmodes/gdb-mi.el (gdb-pc-address): Removed unused variable.
	(gdb-threads-list, gdb-breakpoints-list): New assoc lists.
	(gdb-parent-mode): New mode to derive other GDB modes from.
	(gdb-display-disassembly-for-thread)
	(gdb-frame-disassembly-for-thread): New commands for threads
	buffer.

	* progmodes/gdb-mi.el (gdb-get-buffer, gdb-get-buffer-create)
	(gdb-init-1, gdb-bind-function-to-buffer, gdb-add-subscriber)
	(gdb-get-subscribers, gdb-emit-signal, gdb-buf-publisher)
	(gdb-update): We now store all GDB buffers in a list so that they
	can be updated by traversing a list instead of calling invalidate
	triggers explicitly.
	(def-gdb-trigger-and-handler): New macro to define trigger-handler
	pair for GDB buffer.
	(gdb-stack-buffer-name): Add thread information.
	(gdb-add-pending, gdb-pending-p, gdb-delete-pending): Macros to
	handle pending triggers.
	(gdb-threads-mode-map, def-gdb-thread-buffer-command)
	(def-gdb-thread-buffer-simple-command)
	(gdb-display-stack-for-thread, gdb-display-locals-for-thread)
	(gdb-display-registers-for-thread, gdb-frame-stack-for-thread)
	(gdb-frame-locals-for-thread, gdb-frame-registers-for-thread):
	New commands which show buffers bound to thread.
	(gdb-stack-list-locals-regexp): Removed unused regexp.

	* progmodes/gdb-mi.el (gdb-breakpoints-buffer-name)
	(gdb-locals-buffer-name, gdb-registers-buffer-name)
	(gdb-memory-buffer-name, gdb-stack-buffer-name): Do not switch
	to (gud-comint-buffer) in *-buffer-name functions
	because (gdb-get-target-string) already does that.
	(gdb-locals-handler-custom, gdb-registers-handler-custom)
	(gdb-changed-registers-handler): Rewritten without regexps.

	* progmodes/gdb-mi.el Basic thread selection support.
	(gdb-thread-number): New variable.
	(gdb-current-context-command): New macro which adds --thread
	option to command.
	(gdb-threads-mode-map): Select thread with SPC.
	(gdb-thread-list-handler-custom): Mark current thread with overlay
	arrow.  Synchronize GDB thread and Emacs thread.
	(gdb-select-thread): New command which selects current thread.
	(gdb-invalidate-frames, gdb-invalidate-locals)
	(gdb-invalidate-registers): Use --thread option.

2009-08-04  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): Make check for tramp-gvfs loading more
	robust.  (Bug#3977)
	(tramp-handle-insert-file-contents): `unwind-protect' must be
	inside `with-parsed-tramp-file-name'.

	* net/tramp-gvfs.el (top): Remove superfluous message when loading
	fails.

2009-08-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (jdb): Set gud-jdb-classpath-string to current
	directory if CLASSPATH is not set.

2009-08-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-rfn-eshadow-update-overlay-regexp):
	New defconst.
	(tramp-rfn-eshadow-update-overlay): Use it.  (Bug#4004)

2009-08-02  Kevin Ryde  <user42@zip.com.au>

	* net/newst-backend.el (newsticker--raw-url-list-defaults):
	Update freshmeat link.  Delete newsforge.com as it seems gone.

2009-08-02  Chong Yidong  <cyd@stupidchicken.com>

	* select.el (x-set-selection): Doc fix (Bug#4021).

	* w32-fns.el (x-set-selection): Doc fix (Bug#4021).

	* help-fns.el (describe-variable): Treat list return values from
	dir-locals-find-file properly (Bug#4005).

2009-08-02  Julian Scheid  <julians37@googlemail.com>  (tiny change)

	* net/tramp.el (tramp-debug-message): Print also microseconds.

2009-08-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-insert-file-contents): Optimize, when BEG
	or END is non-nil.
	(tramp-handle-vc-registered): Use `tramp-cache-inhibit-cache'.
	(tramp-get-debug-buffer): Change `outline-regexp' according to new
	format.

	* net/tramp-cache.el (tramp-cache-inhibit-cache ): New defvar.
	(tramp-get-file-property): Use it.

	* autorevert.el (auto-revert-handler): Allow
	`auto-revert-tail-mode' for remote files.

2009-08-02  Jason Rumney  <jasonr@gnu.org>

	* minibuffer.el (read-file-name): Treat confirm options to
	MUSTMATCH as nil when invoking x-file-dialog.  (Bug#3969)

2009-08-02  Chong Yidong  <cyd@stupidchicken.com>

	* font-lock.el (font-lock-string-face, font-lock-builtin-face)
	(font-lock-variable-name-face, font-lock-constant-face): Darken
	the colors for light backgrounds.

2009-08-01  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmailsum.el (rmail-header-summary): Ignore letter-case of
	month names.  (Bug#3987)

2009-07-31  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Pass whole number to
	line-move-to-column.
	(line-move-visual): Perform hscroll to the recorded position.

2009-07-30  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc-mode.el (calc-matrix-brackets): Remove "P" from prompt.

2009-07-29  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-defs.el (c-version): Bump to 5.31.7.

2009-07-29  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-goto-breakpoint)
	(gdb-place-breakpoints): Use full path when setting breakpoints.

2009-07-29  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-mode-map): Add keybinding for
	`calc-transpose-lines'.

2009-07-29  Vincent Belaïche  <vincent.belaiche@gmail.com>

	* calc/calc-misc.el (calc-transpose-lines): New function.

2009-07-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file): Add messages.
	Simplify check for out-of-band methods.
	(tramp-do-copy-or-rename-file-out-of-band): Allow both files to be
	remote.  Remove messages which are in `tramp-do-copy-or-rename-file'.

2009-07-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-git.el (vc-git-checkin): Fix typo.

2009-07-28  Steve Yegge  <steve.yegge@gmail.com>

	* progmodes/js2-mode.el: New file.

2009-07-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (jdb): Add gud-pstar to dump object information.
	(gud-menu-map): Adjust tooltip accordingly.

2009-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-bzr.el (vc-bzr-print-log): Pass multiple arguments to bzr log.
	(vc-bzr-log-view-mode): Adjust log-view-file-re.

	* add-log.el (change-log-mode-map): Add a menu.

2009-07-27  Michael Albinus  <michael.albinus@gmx.de>

	* net/dbus.el (dbus-call-method-non-blocking): Handle the case the
	function returns nil.
	(dbus-handle-event): Handle special return value :ignore.
	Reported by Jan Moringen <jan.moringen@uni-bielefeld.de>.

2009-07-26  Chong Yidong  <cyd@stupidchicken.com>

	* view.el (view-mode-enable): Don't define Helper-return-blurb if
	it's not needed.

2009-07-25  Eli Zaretskii  <eliz@gnu.org>

	Fix Bug#3888:

	* w32-vars.el (x-select-enable-clipboard): Doc fix.

	* term/pc-win.el (x-display-name, x-colors)
	(x-select-enable-clipboard, x-select-text): Doc fix.

	* term/common-win.el (x-display-name, x-colors): Doc fix.

	* term/ns-win.el (x-select-text, x-setup-function-keys, x-colors)
	(xw-defined-colors): Doc fix.

	* w32-fns.el (x-select-text, x-setup-function-keys)
	(x-get-selection, x-set-selection): Doc fix.

	* term/x-win.el (x-select-text, x-setup-function-keys)
	(x-select-enable-clipboard, xw-defined-colors): Doc fix.

	* select.el (x-set-selection): Doc fix.

2009-07-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/zeroconf.el (zeroconf-init): Check for "GetVersionString"
	instead of "IsNSSSupportAvailable".  Avahi ought to work also when
	"IsNSSSupportAvailable" method is not available.  Reported by
	Steve Youngs <steve@sxemacs.org>.

2009-07-24  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Fix setting of category ?C, ?|, ?K,
	and ?H.  Fix setting of case for Latin Extended and Greek Extended.
	(build-unicode-category-table): Fix range checks.

2009-07-24  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-dispatcher.el (vc-resynch-buffers-in-directory): Make sure
	the buffer we try to sync is current when calling
	vc-resynch-buffer.

	* vc-dir.el (vc-dir-resynch-file): Make sure vc-dir-update does
	not show up to date files.

2009-07-24  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/elint.el (elint-current-buffer, elint-defun):
	Add autoload cookies.  If necessary, initialize.
	(elint-log): Handle non-file buffers.
	(elint-initialize): Add optional argument to reinitialize.
	(elint-find-builtin-variables): Save excursion.

2009-07-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Add menu entries
	for Lint.

2009-07-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc.el (vc-print-log-internal): New function, split out from ...
	(vc-print-log): ... here.
	(vc-dir-move-to-goal-column): Declare.

	* vc-git.el (vc-git-add-signoff): New variable.
	(vc-git-checkin): Use it.
	(vc-git-toggle-signoff): New function.
	(vc-git-extra-menu-map): Bind it to menu.
	(vc-git--run-command-string): Accept a nil FILE argument.
	(vc-git-stash-list): New function.
	(vc-git-dir-extra-headers): Use it.

2009-07-23  Glenn Morris  <rgm@gnu.org>

	* help-fns.el (describe-variable): Describe ignored and risky local
	variables in a similar way to that in which we describe safe ones.

	* emacs-lisp/bytecomp.el (byte-compile-from-buffer)
	(byte-compile-output-file-form, byte-compile-output-docform)
	(byte-compile-file-form-defmumble, byte-compile-output-as-comment):
	Give some more local variables with common names a "bytecomp-" prefix,
	so as not to shadow things during compilation.
	* emacs-lisp/cl-macs.el (load-time-value)
	* emacs-lisp/cl.el (cl-compiling-file): Update for the name-change
	`outbuffer' to `bytecomp-outbuffer'.

	* emacs-lisp/elint.el (elint-standard-variables): Remove most members,
	since the next two variables cover them automatically now.
	(elint-builtin-variables, elint-autoloaded-variables): New.
	(elint-unknown-builtin-args): Remove all members, since they can be
	parsed automatically now.
	(elint-extra-errors): New.
	(elint-env-add-env, elint-env-add-macro): Use cadr.
	(elint-current-buffer): Use or.  Change final message.
	(elint-get-top-forms): Use line-end-position.
	(elint-init-env): Use cadr.  Handle autoload, declare-function,
	and defalias.
	(elint-add-required-env): Doc fix.  Use or.  Standardize error.
	(regexp-assoc): Remove unused function.
	(elint-top-form): Set elint-current-pos, to record the start of the
	top-level form, for compilation-mode.
	(elint-form): Trap errors in macro expansion.  Use dolist.
	(elint-unbound-variable): Use elint-builtin-variables and
	elint-autoloaded-variables.
	(elint-get-args): Use cadr, or.
	(elint-check-cond-form): Use dolist, cadr.
	(elint-check-condition-case-form): Doc fix.  Use cadr.
	Use elint-extra-errors.
	(elint-log): New function.
	(elint-error, elint-warning): Use elint-log for a bytecomp-style format.
	Distinguish errors and warnings.
	(elint-log-message): Use with-current-buffer.  Inhibit read-only.
	Use a bytecomp-style format.
	(elint-clear-log): Preserve default-directory.  Inhibit read-only.
	(elint-get-log-buffer): Use compilation mode.  Disable undo.
	Don't truncate lines.
	(elint-initialize): Set builtin and autoloaded variable lists.
	Only process elint-unknown-builtin-args if non-nil.
	(elint-find-builtin-variables, elint-find-autoloaded-variables):
	New functions.
	(elint-find-builtin-args): Doc fix.  Handle "BODY...)".

2009-07-22  Kevin Ryde  <user42@zip.com.au>

	* net/newst-backend.el (newsticker--parse-atom-1.0)
	(newsticker--parse-rss-0.91, newsticker--parse-rss-0.92)
	(newsticker--parse-rss-1.0):
	* progmodes/idlwave.el (idlwave-mode):
	* progmodes/idlw-shell.el (idlwave-shell-mode):
	* progmodes/vera-mode.el (vera-mode):
	* progmodes/verilog-mode.el (verilog-auto-inst, verilog-auto):
	* progmodes/vhdl-mode.el (vhdl-mode):
	* textmodes/table.el (table-generate-source)
	(table--warn-incompatibility):
	Hyperlink urls in docstrings with URL `...'.

2009-07-22  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/advice.el, emacs-lisp/checkdoc.el:
	* emacs-lisp/debug.el, emacs-lisp/elp.el, emacs-lisp/gulp.el:
	* emacs-lisp/lisp.el, emacs-lisp/pp.el, emacs-lisp/trace.el:
	Remove leading * from defcustom docs.

	* simple.el (blink-matching-paren-distance): Bump to 100k.  (Bug#3889)

	* emacs-lisp/shadow.el (shadows-compare-text-p): Remove leading * from
	defcustom doc.
	(list-load-path-shadows): Optionally, just return shadows as a string.

	* mail/emacsbug.el (report-emacs-bug): Include any load-path shadows.

2009-07-21  Chong Yidong  <cyd@stupidchicken.com>

	* mail/rmailedit.el (rmail-edit-mode): Use
	auto-save-include-big-deletions.

	* mail/rmail.el (rmail-variables): Use
	auto-save-include-big-deletions.

	* files.el (auto-save-mode): Revert 2009-07-21 and 2009-07-16
	changes.

2009-07-21  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc/calc.el (calc-undo-length): New variable.
	(calc-quit): Truncate rather than eliminate `calc-undo-list'.

2009-07-21  Richard Stallman  <rms@gnu.org>

	* files.el (auto-save-mode): Handle buffer-save-size = -2
	for toggling mode.

2009-07-21  Glenn Morris  <rgm@gnu.org>

	* textmodes/ispell.el (ispell-looking-back): Update declaration.

	* calendar/todo-mode.el (calendar-current-date): Update declaration.

	* ps-print.el (ps-jitify, ps-lazify): Remove aliases only used to
	silence compiler.  Instead...
	(jit-lock-fontify-now, lazy-lock-fontify-region): ...Declare.
	(ps-print-ensure-fontified): Update for above function name changes.

	* printing.el (pr-mh-get-msg-num, pr-mh-show)
	(pr-mh-start-of-uncleaned-message): Remove aliases only used to
	silence compiler.  Instead...
	(mh-get-msg-num, mh-show, mh-start-of-uncleaned-message): ...Declare.
	(mh-show-buffer): Only define for compiler.
	(pr-mh-current-message): Update for above function name changes.

	* files.el (abort-if-file-too-large): Explicitly pass `filename'
	as an argument.
	(find-file-noselect, insert-file-1): Update for above change.

	* mail/rmail.el (rmail-retry-ignored-headers): Bump :version.

	* mail/mailclient.el (mailclient-send-it): Fix message.

	* emacs-lisp/edebug.el (cl-debug-env): Only define for compiler.
	(edebug-eval): Check cl-debug-env is bound.
	(print-level, print-circle): Don't redefine built-in variables.

	* emacs-lisp/cust-print.el: Remove leading * from defcustom docs.
	(custom-print-vectors): Remove old comments from doc.

	* emerge.el (menu-bar-emerge-menu): Remove unused variable.
	(emerge-version): Make the variable an obsolete alias for the
	emacs-version variable.  Make the function obsolete.
	(emerge-fast-keymap, emerge-edit-keymap): Make a separate menu for
	Emerge options, rather than merging in into the main Options menu.
	(emerge-options-menu): Adjust menu text.  Use buttons for skip prefers
	and auto advance modes.  Disable edit/fast items when not relevant.

2009-07-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/vt420.el (terminal-init-vt420): Fix typo.

2009-07-20  Sam Steingold  <sds@gnu.org>

	* progmodes/ada-mode.el (compile-auto-highlight): Remove the
	variable (removed from compile.el on 2004-03-11).

2009-07-20  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-filter): Fix last change.

2009-07-19  Juri Linkov  <juri@jurta.org>

	* files.el (ignored-local-variables): Add `dir-local-variables-alist'.
	(dir-local-variables-alist): New buffer-local variable.
	(hack-local-variables-filter): If variable is not dir-local,
	i.e. `dir-name' is nil, then remove it from `dir-local-variables-alist',
	because file-local overrides dir-local.
	(c-postprocess-file-styles)<declare-function>:
	Remove obsolete declaration.
	(hack-dir-local-variables): Add dir-local variable/value pair to
	`dir-local-variables-alist' and remove duplicates.  Doc fix.

	* help-fns.el (describe-variable): Add information about
	file-local and dir-local variables.

2009-07-19  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables-filter): Rewrite.

2009-07-19  Glenn Morris  <rgm@gnu.org>

	* progmodes/verilog-mode.el (verilog-error-regexp-add-xemacs):
	Silence compiler by only defining on XEmacs.

	* international/mule.el (auto-coding-regexp-alist): Only match
	BABYL... at the start of buffer, not of lines.  (Bug#3790)

	* calendar/cal-menu.el (cal-menu-set-date-title): Handle calls from
	non-calendar buffers (Bug#3862).  Restore "not on a date" message.
	(cal-menu-context-mouse-menu): Doc fix.

	* desktop.el (desktop-buffers-not-to-save): Set :version tag.

	* simple.el (mail-user-agent): Doc fix.  Set :version tag.

2009-07-18  Juri Linkov  <juri@jurta.org>

	* info.el: Virtual Info keyword finder.
	(add-to-list)<Info-virtual-files>: Add "\\`\\*Finder.*\\*\\'".
	(Info-finder-file): New variable.
	(Info-finder-find-file): New function.
	(finder-known-keywords, finder-package-info)
	(find-library-name, lm-commentary): Use defvar and
	declare-function to silence compiler warnings.
	(Info-finder-find-node): New function.
	(info-finder): New command.

	* subr.el (process-kill-buffer-query-function): New function.
	(add-hook)<kill-buffer-query-functions>: Add hook
	`process-kill-buffer-query-function'.

2009-07-18  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-mode.el (c-before-hack-hook)
	(c-postprocess-file-styles): Give invocation of `c-set-style'
	DONT-OVERRIDE parameter of t.  Already set style variables will
	thus not be overridden by style settings given by `c-file-syle'.

	* files.el (hack-local-variables-filter): Remove entries with
	duplicate keys from `file-local-variables-alist'.

2009-07-18  Eli Zaretskii  <eliz@gnu.org>

	* simple.el (deactivate-mark, activate-mark, set-mark): Don't call
	x-set-selection if display-selections-p returns nil for the
	current frame.

2009-07-18  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (region-active-p, use-region-p): Doc fix (Bug#3873).

2009-07-18  Eli Zaretskii  <eliz@gnu.org>

	* desktop.el (desktop-buffers-not-to-save): Default value is nil.
	Accept nil in addition to a regexp.
	(desktop-files-not-to-save): Add "(ftp)$" to the default regexp.
	Accept nil in addition to a regexp.
	(desktop-save-buffer-p): Don't use desktop-buffers-not-to-save for
	buffers that have an associated file.  Handle nil values of
	desktop-buffers-not-to-save and desktop-files-not-to-save.
	(Bug#3833)

	* term/pc-win.el (x-selection-owner-p, x-own-selection-internal)
	(x-disown-selection-internal): New functions.

2009-07-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (speedbar-frame): Declare to avoid compiler
	warning.
	(gdb-breakpoints-header): Move forward to avoid compiler warning.
	(gdb-make-header-line-mouse-map): Remove duplicate definition.

2009-07-18  David De La Harpe Golden  <david@harpegolden.net>

	* simple.el (set-mark): Revert last change.

2009-07-17  Tassilo Horn  <tassilo@member.fsf.org>

	* doc-view.el (doc-view-initiate-display): Add yes-or-no-p if
	rendering of pngs is not possible instead of messaging a long
	description.

2009-07-17  David De La Harpe Golden  <david@harpegolden.net>

	* w32-fns.el (x-selection-owner-p): New function.

	* mouse.el (mouse-drag-track): Call deactivate-mark earlier.
	(mouse-yank-at-click, mouse-yank-primary): If
	select-active-regions is non-nil, deactivate the mark before
	insertion.

	* simple.el (deactivate-mark, set-mark): Only save selection if we
	own it.

2009-07-17  Kenichi Handa  <handa@m17n.org>

	* case-table.el (describe-buffer-case-table): Fix for the case
	that KEY is a cons.

2009-07-16  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-rcs.el (vc-rcs-find-file-hook):
	* vc-sccs.el (vc-sccs-find-file-hook): Fix cut and paste error.

2009-07-16  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-wait-for-output): Handle the case when
	commands do not return a newline but a null byte before the shell
	prompt.  (Bug#3858)

2009-07-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/ns-win.el (ns-set-alpha): Don't declare.
	(ns-set-background-alpha): Remove function.

2009-07-16  Kevin Ryde  <user42@zip.com.au>

	* emacs-lisp/copyright.el (copyright-update): Save match-data across
	y-or-n-p, for safety.

2009-07-16  Richard Stallman  <rms@gnu.org>

	* files.el (auto-save-mode): If buffer-saved-size is -2,
	don't clobber it.

	* mail/rmail.el (rmail-variables): Set buffer-saved-size to -2.
	(rmail-retry-ignored-headers): Add more uninteresting fields.

2009-07-15  Jari Aalto  <jari.aalto@cante.net>

	* net/rcirc.el (rcirc): Use history variables.
	(rcirc-server-name-history, rcirc-nick-name-history)
	(rcirc-server-port-history): New variables.

2009-07-15  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-environment-charset):
	If coding-system-charset-list returns `iso-2022' or `emacs-mule',
	ignore them.

	* language/misc-lang.el ("IPA"): Change coding systems to utf-8.
	Delete unibyte-display.

2009-07-15  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (kill-visual-line): Obey kill-whole-line (Bug#3695).

2009-07-15  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (deactivate-mark): Optional argument FORCE.
	(set-mark): Use deactivate-mark.

	* info.el (Info-search): No need to check transient-mark-mode
	before calling deactivate-mark.

	* select.el (x-set-selection): Doc fix.
	(x-valid-simple-selection-p): Allow buffer values.
	(xselect--selection-bounds): Handle buffer values.  Suggested by
	David De La Harpe Golden.

	* mouse.el (mouse-set-region, mouse-drag-track): Call
	copy-region-as-kill before setting the mark, to let
	select-active-regions work.

2009-07-15  David De La Harpe Golden  <david@harpegolden.net>

	* simple.el (deactivate-mark): If select-active-regions is
	non-nil, copy the selection data into a string.
	(activate-mark): If select-active-regions is non-nil, set the
	selection to the current buffer.
	(set-mark): Update selection if select-active-regions is non-nil.

	* select.el (x-valid-simple-selection-p): Allow buffer values.

2009-07-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* simple.el (mail-user-agent): Default to the upwardly-UI-compatible
	and more featureful message-mode.

2009-07-14  Chong Yidong  <cyd@stupidchicken.com>

	* select.el (x-set-selection): Doc fix.
	(x-valid-simple-selection-p): Disallow selection data consisting
	of a list or cons of integers, since that is not used.
	(xselect--selection-bounds, xselect--int-to-cons): New functions.
	(xselect-convert-to-string, xselect-convert-to-length)
	(xselect-convert-to-filename, xselect-convert-to-charpos)
	(xselect-convert-to-lineno, xselect-convert-to-colno): Use them.

2009-07-14  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (json-partial-output): Fix broken GDB/MI
	output in -break-info command (Emacs bug #3794).

2009-07-14  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/edebug.el (edebug-setup-hook, edebug-all-forms)
	(edebug-eval-macro-args, edebug-save-displayed-buffer-points)
	(edebug-print-length, edebug-print-level, edebug-print-circle)
	(edebug-sit-for-seconds, edebug-view-outside)
	(edebug-bounce-point, edebug-set-global-break-condition)
	(edebug-Go-nonstop-mode, edebug-trace-mode)
	(edebug-Trace-fast-mode, edebug-continue-mode)
	(edebug-Continue-fast-mode, edebug-forward-sexp, edebug-help)
	(edebug-visit-eval-list): Doc fixes.

	* subr.el (def-edebug-spec): Doc fix.

2009-07-14  Kenichi Handa  <handa@m17n.org>

	* international/characters.el: Fix setting of category ?C.

2009-07-13  Jan Djärv  <jan.h.d@swipnet.se>

	* term/ns-win.el (x-select-font): defalias x-select-font to
	ns-popup-font-panel instead of generate-fontset-menu.

2009-07-12  Eli Zaretskii  <eliz@gnu.org>

	* desktop.el (desktop-buffers-not-to-save): Remove ".log".  (Bug#3833)

2009-07-12  Peter Jolly  <peter@jollys.org>  (tiny change)

	* arc-mode.el (archive-find-type): Allow for a PK00 string before
	the PK\003\004 header (Bug#3770).

2009-07-12  Guanpeng Xu  <herberteuler@hotmail.com>

	* pcomplete.el (pcomplete-comint-setup): Check for
	shell-dynamic-complete-filename too.

2009-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (temporary-goal-column): Change the value for
	line-move-visual to a cons cell.
	(line-move-visual): Record or set the window hscroll, if
	necessary (Bug#3494).
	(line-move-1): Handle cons value of temporary-goal-column.

2009-07-11  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (describe-character-set): Don't show
	width.

2009-07-10  Sam Steingold  <sds@gnu.org>

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Omake sometimes indents the errors it prints, so allow all
	regexps to start with spaces.

2009-07-10  Eli Zaretskii  <eliz@gnu.org>

	* cus-edit.el (customize-changed-options-previous-release):
	Bump value to 22.1.  (Bug#3804)

2009-07-08  Sam Steingold  <sds@gnu.org>

	* progmodes/grep.el (rgrep): Allow grep-find-ignored-directories
	to be a cons cell (test . ignored-directory) to selectively ignore
	some directories depending on the location of the search.

2009-07-08  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-set-file-uid-gid): Handle the case the
	remote user is root, on the local host.
	(tramp-local-host-p): Either the local user or the remote user
	must be root.  (Bug#3771)

2009-07-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb): Remove description of
	gdb-use-separate-io-buffer.
	(menu): Don't allow toggling of or enable
	gdb-use-separate-io-buffer from menubar.

2009-07-08  E. Jay Berkenbilt  <ejb@ql.org>  (tiny change)

	* mail/unrmail.el (unrmail): Make sure the message ends with two
	newlines (Bug#3769).

2009-07-08  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-current-date): Rework previous change.

2009-07-08  Ed Reingold  <reingold@emr.cs.iit.edu>

	* calendar/calendar.el (calendar-current-date):
	Add an optional argument giving an offset from today.

2009-07-08  Glenn Morris  <rgm@gnu.org>

	* tutorial.el (tutorial--describe-nonstandard-key):
	Adjust the message for when a key has been unbound.
	(help-with-tutorial): Hide the arch-tag.

2009-07-08  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (setup-default-fontset): For each
	script, append (not set) font-specs.

	* language/japanese.el (japanese-shift-jis-2004): Fix typo in the
	docstring.

2009-07-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el (gdb-init-1): Move sending
	-data-list-register-names to ...
	(gdb-starting): ... here because GDB 7.0 requires execution to
	have started when using this MI command.
	(gdb-set-header): New function to distinguish select and
	unselected tabs in gdb buffers.
	(gdb-propertize-header): New macro that uses gdb-set-header.
	(gdb-breakpoints-header, gdb-locals-header): Use it.
	(gdb-disassembly-mode-map): Add keybinding to kill buffer.

2009-07-07  Chong Yidong  <cyd@stupidchicken.com>

	* Makefile.in (ELCFILES): Remove fadr.elc.

2009-07-07  Dmitry Dzhus  <dima@sphinx.net.ru>

	* progmodes/gdb-mi.el (gdb-init-1): Disassembly buffer mode name
	may contain frame information, so `string-match' should be used.
	(gdb-update): Disassembly is invalidated through
	`gdb-get-selected-frame'.
	(gdb-pad-string): New function to pad string with spaces.
	(gdb-invalidate-disassembly): Invalidate only if the buffer
	exists.
	(gdb-disassembly-handler-custom): Column alignment.
	(gdb-disassembly-place-breakpoints): Clear old breakpoints before
	placing new ones.
	(gdb-toggle-breakpoint, gdb-delete-breakpoint): Now work from the
	end of line, too.
	(gdb-frame-handler): Match convention to for disassembly buffer
	mode name.
	(gdb-stack-list-frames-handler): Rewritten without regexps.
	(gdb-breakpoints-list-handler-custom): y/n instead of on/off; do
	not highlight breakpoints without line information.
	(gdb-input): Add trailing newline to command.

	* progmodes/gdb-mi.el (gdb-init-1): Set mode name for disassembly
	buffer properly.
	(gdb-breakpoints-list-handler-custom): Replacement for
	`gdb-break-list-handler'.  Using real parser instead of regexps
	now.
	(gdb-place-breakpoints): Replacement for `gdb-break-list-custom'.
	Use `gdb-breakpoints-list' instead of parsing breakpoints buffer
	to place breakpoints.
	(def-gdb-memory-unit): A new macro to define gdb-memory-unit-..
	functions.
	(gdb-disassembly-handler-custom): Show overlay arrow.
	(gdb-disassembly-place-breakpoints): Show breakpoints in
	disassembly buffer.
	(gdb-toggle-breakpoint, gdb-delete-breakpoint)
	(gdb-goto-breakpoint): Using `gdb-breakpoint' text properties
	instead of parsing breakpoints buffer.  Fixed old menu references
	in `gud-menu-map'.

	* fadr.el: Remove.

	* progmodes/gdb-mi.el: Port memory buffer from gdb-ui.el.
	(gdb-memory-address): New variable which holds top address of
	memory page shown in memory buffer.
	(gdb-memory-repeat-count, gdb-memory-format, gdb-memory-unit): New
	customization variables.
	New functions:
	(gdb-display-memory-buffer, gdb-frame-memory-buffer): Functions to
	display the memory buffer.
	(gdb-memory-set-address, gdb-memory-set-repeat-count): Set memory
	buffer display parameters.
	(def-gdb-memory-format, gdb-memory-format-binary)
	(gdb-memory-format-octal, gdb-memory-format-unsigned)
	(gdb-memory-format-signed, gdb-memory-format-hexadecimal):
	Functions for setting memory buffer format.
	(gdb-memory-unit-word, gdb-memory-unit-halfword)
	(gdb-memory-unit-giant, gdb-memory-unit-byte): Functions to set
	unit size used in memory buffer.
	(gdb-memory-show-next-page, gdb-memory-show-previous-page): Switch
	to next/previous page of memory buffer.
	Now using (bindat-get-field) instead of fadr functions.

2009-07-07  Sam Steingold  <sds@gnu.org>

	* vc-cvs.el (vc-cvs-merge-news): Fix message parsing for
	non-top-level files.

2009-07-07  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (reset-language-environment): Put
	the highset priority to the charset iso-8859-1.

2009-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/hideshow.el (hs-hide-block-at-point): Don't move point
	to the end of the line when locating the block (Bug#700).

2009-07-06  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-write-region): Flush file properties
	in case of short track.

2009-07-06  Michael McNamara  <mac@mail.brushroad.com>

	* verilog-mode.el (verilog-error-regexp-emacs-alist): Coded custom
	representation of verilog error regular expressions to work with
	Emacs-22's new format.
	(verilog-error-regexp-xemacs-alist): Coded custom representation
	of verilog error regular expressions to work with XEmacs format.
	(verilog-error-regexp-add-xemacs): Hook routine to install verilog
	error recognition into XEmacs.
	(verilog-error-regexp-add-emacs): Hook routine to install verilog
	error recognition into Emacs-22.

2009-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* woman.el: Remove stand-alone closing parentheses.
	(woman-file-name, woman2-format-paragraphs)
	(woman-leave-blank-lines): Code cleanup.
	(woman-use-own-frame): Change default to nil.
	(woman-italic, woman-bold, woman-unknown, woman-addition): Change
	defaults to inherit from default faces.
	(woman2-process-escapes): Consume the newline after a stand-alone
	filler character (Bug#3651).

2009-07-06  Glenn Morris  <rgm@gnu.org>

	* ffap.el (ffap-version): Make it an obsolete alias for emacs-version.
	(top-level): Move provide to the end.
	(ffap): Remove defunct URL from custom group.

	* subr.el (eval-after-load): Doc fix.

2009-07-06  Vincent Belaïche  <vincent.belaiche@gmail.com>

	* calc/calc-embed.el (calc-embedded-make-info): Don't force when
	`calc-embedded-word' is called twice.

2009-07-05  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (find-alternate-file-other-window, find-alternate-file):
	Obey confirm-nonexistent-file-or-buffer.

2009-07-05  Michael Albinus  <michael.albinus@gmx.de>

	* dired-aux.el (dired-show-file-type): Handle remote files.

2009-07-05  Jari Aalto  <jari.aalto@cante.net>

	* desktop.el (desktop-globals-to-save):
	Add file-name-history (Bug#2750).

2009-07-05  Chong Yidong  <cyd@stupidchicken.com>

	* add-log.el (add-log-current-defun-header-regexp): Doc fix (Bug#2217).

2009-07-04  Johan Bockgård  <bojohan@gnu.org>

	* eshell/esh-arg.el (eshell-parse-argument-hook): Put `number'
	property on entire argument since this is what eshell-lisp-command
	expects.

2009-07-03  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (tramp-gvfs-methods)
	(tramp-gvfs-zeroconf-domain)
	(tramp-bluez-discover-devices-timeout): Add version flag.
	(tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p): Polish handling of
	incompatibilities between GVFS 0.2 and 1.0.

2009-07-03  Jan Djärv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add make-pointer-invisible.

2009-07-03  Jay Belanger  <jay.p.belanger@gmail.com>

	* calc-math.el (math-use-emacs-fn): Make sure that the number is
	formatted correctly.

2009-07-02  Juri Linkov  <juri@jurta.org>

	* info.el: Virtual Info files and nodes.
	(Info-virtual-files, Info-virtual-nodes): New variables.
	(Info-current-node-virtual): New variable.
	(Info-virtual-file-p, Info-virtual-fun, Info-virtual-call):
	New functions.
	(Info-file-supports-index-cookies): Use Info-virtual-file-p
	to check for a virtual file instead of checking a fixed list
	of node names.
	(Info-find-file): Use Info-virtual-fun and Info-virtual-call
	instead of ad-hoc processing of "dir" and (apropos history toc).
	(Info-find-node-2): Use Info-virtual-fun and Info-virtual-call
	instead of ad-hoc processing of "dir" and (apropos history toc).
	Reread a file when moving from a virtual node.
	(add-to-list)<Info-virtual-files>: Add "\\`dir\\'".
	(Info-directory-toc-nodes, Info-directory-find-file)
	(Info-directory-find-node): New functions.
	(add-to-list)<Info-virtual-files>: Add "\\`\\*History\\*\\'".
	(Info-history): Move part of code to
	`Info-history-find-node'.
	(Info-history-toc-nodes, Info-history-find-file)
	(Info-history-find-node): New functions.
	(add-to-list)<Info-virtual-nodes>: Add "\\`\\*TOC\\*\\'".
	(Info-toc): Move part of code to `Info-toc-find-node'.
	(Info-toc-find-node): New function.
	(Info-toc-insert): Rename from `Info-insert-toc'.  Don't insert
	the current Info file name to references because now the node
	"*TOC*" belongs to the same Info manual.
	(Info-toc-build): Rename from `Info-build-toc'.
	(Info-toc-nodes): Rename input argument `file' to `filename'.
	Use Info-virtual-fun, Info-virtual-call and Info-virtual-file-p
	instead of ad-hoc processing of ("dir" apropos history toc).
	(Info-index-nodes): Use Info-virtual-file-p
	to check for a virtual file instead of checking a fixed list
	of node names.
	(Info-index-node): Add check for `Info-current-node-virtual'.
	Raise `save-match-data' higher up the tree to contain
	`search-forward' too (bug fix).
	(add-to-list)<Info-virtual-nodes>: Add "\\`\\*Index.*\\*\\'".
	(Info-virtual-index-nodes): New variable.
	(Info-virtual-index-find-node, Info-virtual-index): New functions.
	(add-to-list)<Info-virtual-files>: Add "\\`\\*Apropos\\*\\'".
	(Info-apropos-file, Info-apropos-nodes): New variables.
	(Info-apropos-toc-nodes, Info-apropos-find-file)
	(Info-apropos-find-node, Info-apropos-matches): New functions.
	(info-apropos): Move part of code to `Info-apropos-find-node' and
	`Info-apropos-matches'.
	(Info-mode-map): Bind "I" to `Info-virtual-index'.
	(Info-desktop-buffer-misc-data): Use Info-virtual-file-p to check
	for a virtual file instead of checking a fixed list of node names.

	* simple.el (async-shell-command): New command.

	* bindings.el (esc-map): Bind "&" to `async-shell-command'.

	* net/tramp-gvfs.el (tramp-gvfs-connection-mounted-p): Use `elt'
	instead of `mount-info'.

2009-07-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (tramp-gvfs-handler-mounted-unmounted)
	(tramp-gvfs-connection-mounted-p): Handle changed mount-info interface.

2009-07-02  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (set-keyboard-coding-system): Force *-unix
	coding-system to avoid eol conversion.

2009-07-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (tramp-gvfs-file-name-handler-alist):
	Add handler for `process-file', `shell-command' and
	`start-file-process'.
	(tramp-gvfs-handle-shell-command)
	(tramp-gvfs-handle-start-file-process)
	(tramp-gvfs-handle-process-file): New defuns.
	(tramp-synce-list-devices): Simplify check for existence of property.

2009-07-01  Jan Djärv  <jan.h.d@swipnet.se>

	* startup.el (command-line-x-option-alist): Add -mm and --maximized.

2009-07-01  Eduard Wiebe  <usenet@pusto.de>  (tiny change)

	* language/korean.el (set-language-info-alist): Add korean-cp949,
	cp949 to spec.

2009-07-01  Kenichi Handa  <handa@m17n.org>

	* Makefile.in (ELCFILES): Delete encoded-kb.elc.

	* international/encoded-kb.el: Deleted.

	* international/mule.el (set-keyboard-coding-system): Perform the
	necessary setup here instead of calling encoded-kbd-setup-display.

2009-07-01  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-break-delimiters, f90-no-break-re): Doc fixes.

2009-07-01  Evangelos Evangelou  <vangelis@email.unc.edu>  (tiny change)

	* progmodes/f90.el (f90-no-break-re): Add "(/" and "/)".  (Bug#3730)

2009-06-30  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-directly):
	Handle also the 'rename case, when setting file modes.  (Bug#3712)
	(tramp-default-file-modes) Remove execute permissions.

	* net/tramp-gvfs.el (tramp-gvfs-methods): Add "synce" method.
	(top): Add a default for "synce" in `tramp-default-user-alist'.
	Add completion function for "synce" method.
	(tramp-hal-service, tramp-hal-path-manager)
	(tramp-hal-interface-manager, tramp-hal-interface-device):
	New defconst.
	(tramp-gvfs-connection-mounted-p): Handle empty user name for synce.
	(tramp-synce-list-devices, tramp-synce-parse-device-names):
	New defuns.

	* net/trampver.el: Update release number.

2009-06-30  Kenichi Handa  <handa@m17n.org>

	* international/fontset.el (setup-default-fontset): Add CJK fonts
	for symbols and the other miscellaneous characters.

	* language/korea-util.el (setup-korean-environment-internal):
	Make char-width-table suitable for Korean environments.
	(exit-korean-environment): Cancel above.

	* language/chinese.el ("Chinese-GB", "Chinese-BIG5")
	("Chinese-CNS", "Chinese-EUC-TW", "Chinese-GBK"): Add a
	setup-funcion to make char-widht-table suitable for respective
	environments, and an exit-function to cancel that.

	* language/japan-util.el (setup-japanese-environment-internal):
	Call use-cjk-char-width-table with arg `ja_JP'.

	* international/characters.el (cjk-char-width-table): Delete it.
	(cjk-char-width-table-list): New variable.
	(use-cjk-char-width-table): New arg local-name.
	(use-default-char-width-table): Fix for the case that Emacs is
	already using the default char-width-table.

2009-06-29  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-do-copy-or-rename-file-directly): Set file
	modes mandatory.  (Bug#3712)

2009-06-29  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-cmds.el (c-mask-paragraph): Remove a spurious
	correction between the visible width of TABs and their number of bytes.

2009-06-29  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-buffer-done): Prevent kill-buffer from
	prompting by clearing the buffer modification flag (Bug#3696).

2009-06-28  Michael McNamara  <mac@mail.brushroad.com>

	* verilog-mode.el (verilog-beg-of-statement)
	(verilog-endcomment-reason-re): Support unique case and priority case.
	(verilog-basic-complete-re): Support localparam lineup.
	(verilog-beg-of-statement-1): Fix for robustness, unique case.
	(verilog-set-auto-endcomments): Fix for unique case, always_comb
	commenting.
	(verilog-leap-to-case-head): Now support *nested* unique &
	priority case statements.
	(verilog-auto-lineup): Make just declarations the default (as it
	had been).
	(verilog-leap-to-case-head): Support priority/unique case statements.
	(verilog-auto-lineup): Rework to give users radio buttons to
	select the various styles of automatic lineup.
	(verilog-error-regexp-alist): Rework to support the XEmacs style
	of error regular expressions from compilers, lint tools &
	simulators.  Note that GNU Emacs has made it impossible for a mode
	to load such things.
	(electric-verilog-terminate-line, verilog-indent-declaration)
	(verilog-auto-wiure): Rework for radio button selection of
	auto-lineup selection of specification of auto lineup.
	(verilog-beg-of-statement-1): Redesign to support proper operation
	in additional code, based on testing with auto-lineup.
	(verilog-calculate-indent, assignments & declarations)
	(verilog-backward-token): Enhance to support auto-lineup of
	assignments & declarations.
	(verilog-in-directive-p, verilog-at-struct-p): New function for
	easy test of whether we are.
	(verilog-pretty-declarations, verilog-pretty-expr): Massive rework
	to support safe execution at almost anyline.
	(verilog-calc-1): Properly support indenting deep inside generate
	blocks.
	(verilog-init-font) Remove definition & use of verilog-init-font,
	as it is redundant with font-lock-defaults.
	(verilog-mode): Alter the definition of verilog-font-lock-defualts
	to avoid circular calls if syntax-ppss is a function (as is the
	case now in 22.x GNU Emacs) as that function would sometimes call
	itself, leading to (nearly) infinite recursion.
	(verilog-ovm-begin-re, verilog-ovm-end-re)
	(verilog-ovm-statement-re, verilog-leap-to-head)
	(verilog-backward-token): Add support for OVM macros.  Some are
	complete statements, and others open and close scopes like begin
	and end.
	(verilog-defun-level-not-generate-re, verilog-defun-level-re)
	(verilog-defun-level-generate-only-re): Really fix the defun-list
	compilation issue.
	(verilog-calc-1) (verilog-beg-of-statement): Enhance support for
	coverpoint, constraint and cross statements.
	(verilog-defun-level-list, verilog-generate-defun-level-list)
	(verilog-all-defun-level-list): Redo these specifications - it is
	too hard to support eval-when compile aggregation of lists also
	built at when-compile time.
	(verilog-defun-level-list): Place defconsts of variables used in
	building regular expressions which are built in eval-when-compile
	bodies in the same eval-when-compile body to facilitate compile
	without load.
	(verilog-beg-block-re-ordered): Support indenting
	virtual/protected tasks and functions.
	(verilog-defun-level-list, verilog-in-generate-region-p)
	(verilog-backward-ws&directives, verilog-calc-1): Speed up
	indentation of some module items (generate items).
	(verilog-forward-sexp, verilog-leap-to-head): Support stepping
	across virtual/protected tasks and functions.

2009-06-28  Wilson Snyder  <wsnyder@wsnyder.org>

	* verilog-mode.el (verilog-auto-arg, verilog-auto-arg-sort):
	Allow sorting AUTOARG lists.  Suggested by Andrea Fedeli.
	(verilog-read-sub-decls-line): Fix AUTOWIRE signals getting lost
	in concatenations.  Reported by Yishay Belkind.
	(verilog-auto-ascii-enum): Support one-hot state machines in
	AUTOASCIIENUM.  Suggested by Lloyd Gomez.
	(verilog-auto-inst, verilog-auto-inst-port): Include interface
	modport in AUTOINST and add vl-modport for users.  Reported by
	David Rogoff.
	(verilog-auto-inout-module, verilog-auto-inst)
	(verilog-decls-get-interfaces, verilog-insert-definition)
	(verilog-insert-one-definition, verilog-read-decls)
	(verilog-read-sub-decls, verilog-read-sub-decls-sig)
	(verilog-sig-modport, verilog-signals-combine-bus)
	(verilog-subdecls-get-interfaces): Fix expansion of SystemVerilog
	interfaces in AUTOINOUTMODULE, AUTOINOUTCOMP, and AUTOINST.
	Suggested by David Rogoff.
	(verilog-repair-open-comma): Fix non-insertion of comma when
	`DEFINE occurs in V2K argument list.  Reported by Lane Brooks.
	(verilog-make-width-expression): Simplify [A-1:0] expression
	widths to just {A{1'b0}}.
	(verilog-mode): Cleanup checkdoc warnings.
	(verilog-auto-inout-module, verilog-signals-matching-dir-re):
	Add third optional regexp to AUTOINOUTMODULE to allow selecting only
	inputs/outputs or data type.  Suggested by Vasu Kandadi.
	(next-error-last-buffer): Fix byte-compiler warning.
	(verilog-auto, verilog-auto-insert-lisp, verilog-auto-inst)
	(verilog-delete-auto): Add AUTOINSERTLISP to insert arbitrary lisp
	or shell command text during AUTO expansion.  Suggested by Tad Truex.
	(verilog-read-sub-decls-expr, verilog-read-sub-decls-line)
	(verilog-read-sub-decls-sig, verilog-symbol-detick-text):
	Fix dotted nets {a.b,c.d} and excaped identifiers being mis-included
	in AUTOINOUT.  Reported by Matthew Lovell.
	(verilog-read-always-signals-recurse): Fix AUTORESET "if (a<=b)"
	causing use of <= assignments.  Reported by Alex Reed.
	(verilog-read-decls): Fix triand, trior, wand, wor to be
	recognized by AUTOWIRE.  Reported by Spencer Isaacson.
	(verilog-extended-complete-re): Support import "DPI-C" functions.
	(verilog-read-always-signals-recurse): Fix AUTORESET of "x <=
	y[a+1:a+1]" to not include a in reset list.  Reported by Dan Dever.
	(verilog-insert-date, verilog-insert-year)
	(verilog-sk-header-tmpl): Fix verilog-header inserting error on
	Windows systems.  Reported by Michael Potts.
	(verilog-read-module-name): Fix AUTOINST when the child module
	declaration's name is a tick define.  Reported by Elliot Mednick.
	(verilog-read-decls): Fix V2K parameter bit subscripts getting
	passed to next parameter's definition.  Reported by Bruce T.
	(verilog-read-decls): Fix detecting "parameter int" when using
	AUTOINSTPARAM.  Reported by Bruce T.
	(verilog-goto-defun): Fix goto not finding modules unless first
	perform a verilog-auto expansion.  Suggested by Lawrence Butcher.
	(verilog-mode): Expand -f flag arguments on entry to mode so
	verilog-goto-defun will work.  Reported by Lawrence Butcher.
	(verilog-getopt): Expand environment variables in -f file
	arguments.  Suggested by Lawrence Butcher.
	(verilog-set-define): Fix "Symbol's value as variable is void"
	when reading enumerations.
	(verilog-auto-ascii-enum): Fix duplicate labels in AUTOASCIIENUM.
	Suggested by Stephen Peltan.
	(verilog-read-defines): Fix reading of enumerations in include
	files.  Reported by Steve Peltan.

2009-06-28  David De La Harpe Golden  <david@harpegolden.net>

	* files.el (trash-directory): Fix defcustom type.

2009-06-28  Juri Linkov  <juri@jurta.org>

	* help-fns.el (describe-function-1): Correctly locate adviced
	functions in hyperlink (Bug#2438).

2009-06-28  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (trash-directory): Change default to nil.
	(move-file-to-trash): If trash-directory is nil and
	system-move-file-to-trash is unbound, perform freedesktop-style
	trashing.

2009-06-28  David De La Harpe Golden  <david@harpegolden.net>

	* files.el (move-file-to-trash): Add freedesktop trash
	support (Bug#973).

2009-06-28  Glenn Morris  <rgm@gnu.org>

	* autorevert.el (global-auto-revert-non-file-buffers)
	(global-auto-revert-mode): Doc fixes.

2009-06-27  Johan Bockgård  <bojohan@gnu.org>

	* emacs-lisp/cl-specs.el (defstruct): Fix :conc-name spec.

2009-06-27  Chong Yidong  <cyd@stupidchicken.com>

	* faces.el (x-handle-named-frame-geometry): Ensure that we have
	opened an X connection before calling x-get-resource (Bug#3194).

	* play/doctor.el: Remove reference to obsolete website.
	(make-doctor-variables): Correct grammar mistake (Bug#2633).

2009-06-26  Dan Nicolaescu  <dann@ics.uci.edu>

	Remove find-file-not-found-hook VC method.  (Bug#2757)
	* vc-hooks.el (vc-file-not-found-hook)
	(vc-default-find-file-not-found-hook): Remove functions.
	(find-file-not-found-functions): Do not add vc-file-not-found-hook.
	* vc-rcs.el (vc-rcs-find-file-not-found-hook): Remove function.
	* vc.el:
	* vc-hg.el:
	* vc-git.el: Do not mention find-file-not-found-hook VC method.

2009-06-25  Agustín Martín  <agustin.martin@hispalinux.es>

	* textmodes/ispell.el: Add `ispell-looking-back' XEmacs
	  compatibility function for `looking-back'.

	* textmodes/flyspell.el (sgml-mode-flyspell-verify):
	Use `ispell-looking-back'.

2009-06-24  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp-gvfs.el (tramp-gvfs-handle-make-directory): Use `dir'
	rather than `filename'.

2009-06-23  Miles Bader  <miles@gnu.org>

	* face-remap.el (text-scale-set): New function.

2009-06-23  Glenn Morris  <rgm@gnu.org>

	* pcmpl-rpm.el (pcomplete/rpm): Doc fix.

	* bindings.el (mode-line-modified): Fix case of "Buffer is modified".

	* textmodes/ispell.el (ispell-local-dictionary): Doc fix.

	* progmodes/gdb-mi.el (gud-remove, gud-break): Update declarations.

	* calendar/cal-dst.el (calendar-time-zone-daylight-rules):
	Simplify Persian conditionals.

	* calc/calc-graph.el (calc-graph-plot): Avoid assignment to free
	variable `filename'.

	* comint.el (comint-insert-input): Doc fix.

	* Makefile.in (ELCFILES): Fix typo in previous change.

2009-06-23  Miles Bader  <miles@gnu.org>

	* cus-start.el: Add entry for `recenter-redisplay'.

2009-06-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* vc-hooks.el (vc-stay-local-p, vc-state, vc-working-revision):
	Add an optional argument for the backend, use it instead of
	calling vc-backend.
	(vc-mode-line): Add an optional argument for the backend.
	Pass the backend to vc-state and vc-working-revision.  Move code for
	special handling for vc-state being a buffer to ...

	* vc-rcs.el (vc-rcs-find-file-hook):
	* vc-sccs.el (vc-sccs-find-file-hook): ... here.  New functions.

	* vc-svn.el (vc-svn-state, vc-svn-dir-status, vc-svn-checkout)
	(vc-svn-print-log, vc-svn-diff): Pass 'SVN to vc-state,
	vc-stay-local-p and vc-mode-line calls.

	* vc-cvs.el (vc-cvs-state, vc-cvs-checkout, vc-cvs-print-log)
	(vc-cvs-diff, vc-cvs-annotate-command)
	(vc-cvs-make-version-backups-p, vc-cvs-stay-local-p)
	(vc-cvs-dir-status): Pass 'CVS to vc-state, vc-stay-local-p and
	vc-mode-line calls.

	* vc.el (vc-deduce-fileset): Use vc-deduce-fileset instead of
	direct comparison.
	(vc-next-action, vc-transfer-file, vc-rename-file): Also pass the
	backend when calling vc-mode-line.
	(vc-register): Do not create a closure for calling the vc register
	function, call it directly.

2009-06-23  Dan Nicolaescu  <dann@ics.uci.edu>

	* emacs-lisp/elp.el (elp-output-insert-symname): Add a link face
	to make it obvious item can be clicked.

	* vc-mtn.el (vc-mtn-after-dir-status, vc-mtn-dir-status): New functions.

2009-06-23  Kenichi Handa  <handa@m17n.org>

	* language/korea-util.el (korean-key-bindings): Change the binding
	of F9 to hangul-to-hanja-conversion.  Bind Hangul_Hanja to the
	same command.

2009-06-22  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.1.16.

	* Makefile.in (ELCFILES): Add net/tramp-gvfs.elc.

	* net/tramp.el (top): Require tramp-gvfs.  Catch `tramp-loading',
	when a loading of a package fails.  Completion function for rsync
	is `tramp-completion-function-alist-ssh'.
	(all): Replace all calls of `split-string' and
	`tramp-split-string' by `tramp-compat-split-string'.
	(tramp-default-method): Use `tramp-compat-process-running-p'.
	(tramp-default-proxies-alist): Allow also Lisp forms.
	(tramp-remote-path): Add choice "Private Directories".
	(tramp-wrong-passwd-regexp): Remove "Tramp connection closed" option.
	(tramp-domain-regexp): Allow also "-", "_" and ".".
	(tramp-end-of-output): Remove newlines, and add "$" at the end.
	(tramp-file-name-handler-alist): Add handler for `dired-uncache'.
	(tramp-debug-message): Insert header line in debug buffer.
	(tramp-handle-directory-files-and-attributes-with-stat):
	Care about filenames with spaces, or starting with "-".
	(tramp-handle-dired-uncache): New defun.
	(tramp-handle-insert-directory): Don't flush the directory from
	cache, this is handled by `dired-uncache' now.
	(tramp-handle-insert-file-contents): Improve error handling.
	(tramp-find-shell, tramp-open-connection-setup-interactive-shell):
	Quote `tramp-end-of-output'.
	(tramp-action-password): Improve trace message.
	(tramp-check-for-regexp): Both echoes must be present, before removing.
	(tramp-open-connection-setup-interactive-shell): Trace coding system.
	(tramp-compute-multi-hops): Eval cons cells of
	`tramp-default-proxies-alist'.
	(tramp-maybe-open-connection): Use the same command pattern for
	first hop and further hops.
	(tramp-wait-for-output): Remove handling of newlines.
	(tramp-get-remote-path): Handle also `tramp-own-remote-path'.
	(tramp-split-string): Remove function.  It is handled in
	tramp-compat now.

	* net/tramp-cmds.el (tramp-bug):
	Recommend `tramp-cleanup-all-connections' in the bug mail.

	* net/tramp-compat.el (tramp-compat-split-string)
	(tramp-compat-process-running-p): New defuns.

	* net/tramp-fish.el (tramp-fish-file-name-handler-alist): Add handler
	for `dired-uncache'.

	* net/tramp-gvfs.el: New package.

	* net/tramp-smb.el (tramp-smb-file-name-handler-alist):
	Add handler for `dired-uncache'.
	(tramp-smb-handle-file-local-copy): Cleanup in case of error.

	* net/trampver.el: Update release number.  Make version check fit
	for SXEmacs 22.

2009-06-22  Jim Meyering  <meyering@redhat.com>

	Automatically handle .xz suffix (XZ-compressed files), too.
	* jka-cmpr-hook.el (jka-compr-compression-info-list): Add xz.
	XZ is the successor to LZMA: <http://tukaani.org/xz/>

2009-06-22  Dmitry Dzhus  <dima@sphinx.net.ru>
	    Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-mi.el: Pull further modified changes from Dmitry's
	repository (http://sphinx.net.ru/hg/gdb-mi/).

2009-06-22  Glenn Morris  <rgm@gnu.org>

	* files.el (dir-locals-collect-mode-variables): Allow for any number of
	`mode' and `eval' entries.  (Bug#3430)

	* Makefile.in (ELCFILES): Add fadr.elc.

	* calendar/appt.el (appt-make-list): Fix off-by-one error caused by
	differing behavior of \n and ^ in strings.  (Bug#3385)

	* emacs-lisp/cl-indent.el: Remove leading "*" from defcustom docs.

	* emacs-lisp/lisp-mode.el (lisp-indent-offset): Fix safe-local-variable
	property.
	(lisp-indent-function): Make it a defcustom.

2009-06-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el: Replace with ...
	* progmodes/gdb-mi.el: ... this file.
	* progmodes/gud.el: Modify for gdb-mi.el.

2009-06-21  Dmitry Dzhus  <dima@sphinx.net.ru>

	* fadr.el: New file.

See ChangeLog.14 for earlier changes.

;; Local Variables:
;; coding: utf-8
;; End:

    Copyright (C) 2009  Free Software Foundation, Inc.

  This file is part of GNU Emacs.

  GNU Emacs is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  GNU Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with GNU Emacs.  If not, see <http://www.gnu.org/licenses/>.

;; arch-tag: d3e45e38-19e2-49b6-8dc2-7cb26adcc5a1
